<?php
// -----------------------------------------------------------------------------------
function media_delete($id)
{
	global $_DB;
	if(!$id) return;
	$oid = db_query_simple("select data_oid from media_file where id = $id");
	db_query("delete from media_file where id = $id");
	blob_unlink($oid);
}
// -----------------------------------------------------------------------------------
function media_set(&$id, $file, &$info)
{
	global $_DB,$_CONF;
	$flds = array(
		'media_type_id', 
		'data_oid',
		'original_filename',
		'ext',
		'width',
		'height',
		'bytesize',
		'duration',
		'media_colorbit_id'
	);
	//trace("Опит върху: $file ");
	if(!is_file($file)) return term("Няма такъв файл: $file");
	$info = media_get_info($file, $info);

	global $_MIME, $_MIME_GROUP;
	$mime = $_MIME[$info['type_id']];	
	$grp = $_MIME_GROUP[$info['mime_grp']];

	if($info === FALSE && is_file($file)) err("Невалидна медиа.");
	if($info !== FALSE)
	{
		/* TODO: na application/octet-stream da se slaga kartinka!!!
		if($info['mime_grp'] != IMG) {
			warn("Не мога да обработя медиата.");
			return false;
		}
		*/

		info("Ъпдейтната медиа: {$grp['title']}, {$info['width']}x{$info['height']}px size:{$info['file_size']}bytes");
		$op = ($id>0)?'update':'insert';
		$tpl = mk_update($op,'media_file',$flds,$id);
		
		// ka4vame noviq fail
		$new_oid = blob_import($file);
		//trace("$file, $new_oid");

		if($op == 'update')	{ 
			// iztrivame stariq purvo
			$old_oid = db_query_simple("select data_oid from media_file where id = '$id'");
			blob_unlink($old_oid);
		}
		$opres = db_query(sprintf($tpl, 
			$info['type_id']+0,
			$new_oid,
			"'".db_escape($info['original_filename'])."'",
			"'{$info['ext']}'",
			$info['width'],
			$info['height'],
			$info['file_size'],
			$info['duration'],
			0
		));
		list($_id) = db_fetch_row($opres);
		if(!$id) $id = $_id;
		return true;
	}
	else return false;
}

function media_raw()
{
	global $_REQ;
	$id = $_REQ->item;
	if(!$id) return;
	$res = db_query("select 
			mf.data_oid,
			mt.mime_type,
			mf.bytesize,
			mf.ext,
			mf.original_filename
		from 
			media_file mf 
			join media_type mt on mf.media_type_id = mt.id
		where 
			mf.id=$id");
	if($res)
	{
		// min speed 1kb/sec
		ini_set('max_execution_time',($img->bytesize/1000)+120);
		$img = db_fetch_obj($res);

		// Send HEADERS to browser
		header('Accept-Ranges: bytes');
		header('Keep-Alive: timeout=15, max=100');
		header("Content-Type: $img->mime_type");
		header("Content-Length: $img->bytesize");
		if($_REQ->action == 'download')	
		{
			$ext = get_mime_ext($img->mime_type);
			$arr = explode('/',$img->mime_type);
			$name = $arr[0];

			if($img->original_filename)	{
				$fn = changefileext($img->original_filename,$ext);
				header("Content-Disposition: attachment; filename=$fn".';');
			}
			else if($img->ext)
				header("Content-Disposition: attachment; filename=$name.$img->ext".';');
			else	
				header("Content-Disposition: attachment; filename=$name.$ext".';');

			header('Content-Transfer-Encoding: binary');
			header('Connection: close');
		}
		else	
			header("Content-Disposition: inline");
		header("Expires: Fri, 30 Oct 2198 14:19:41 GMT");
		//header("Cache-Control: post-check=3600,pre-check=43200");
		header("Cache-Control: max-age=3600, must-revalidate");
	
		db_start_transaction();
		$handle = pg_lo_open($img->data_oid, "r");
		//echo pg_lo_read($handle, $img->bytesize); // raises too much peak memory needed
		pg_lo_read_all($handle) or err("Не мога да намеря BLOB #$img->data_oid.");	
		db_commit();
	}
}
// -----------------------------------------------------------------------------------
?>