<?
function process_exec()
{
			
}

function process_block()
{
	global $session, $_LOCAL_TASKS, $_REQ, $form;

	class Process
	{

		var $err = array();
		var $publickey = captcha_publickey;
		var $privatekey = captcha_privatekey;

		   /* Class constructor */
		   function Process(){
			  global $session,$database;

			  if(isset($_POST['doLogin'])){
				 $session->referrer='?q=startpage';
				 $this->procLogin($session->referrer);
			  }

			  else if(isset($_POST['doRegister'])){
				 $session->referrer='?q=register';
				 $this->procRegister($session->referrer);
			  }

			  else if(isset($_POST['doReset'])){
				  $session->referrer='?q=register/forgot';
				 $this->procForgotPass($session->referrer);
			  }

			  else if(isset($_POST['editProfile'])){
				 $session->referrer='?q=profile/edit';
				 $this->procEditAccount($session->referrer);
			  }

			  else if(isset($_POST['editProfilePass'])){
				 $session->referrer='?q=profile/edit';
				 $this->procEditAccountPass($session->referrer);
			  }

			  else if(isset($_POST['doLogout'])){
				 $session->referrer='?q=cpanel';
				 $this->procLogout($session->referrer);
			  }

			  else if(isset($_POST['doActivate'])){
				 $session->referrer="?q=register/activate";
				 $this->procActivate($session->referrer);

			  }
			  else if($database->escape((int)$_GET['ref']) == 1){
				 $session->referrer='../';
				 $this->procLogout($session->referrer);
			  }

			   else{
				   $session->referrer='?q=startpage';
				  header("Location: ".$session->referrer."");
			   }
		   }


		   function procLogin($ref){
			  global $session, $form,$database;
			  /* Login attempt */
				foreach($_GET as $key => $value) {
					$get[$key] = $database->filter($value); //get variables are filtered.
				}

				foreach($_POST as $key => $value) {
					$data[$key] = $database->filter($value); // post variables are filtered
				}


				$user_email = $data['usr_email'];
				$pass = $data['pwd'];

				$num = $session->login_check($user_email);


					if ( $num > 0 ) {

						$session->login_proc($user_email,$pass);
					
					
					} else {
						$this->err[] = "Error - Invalid login. No such user exists";

						$cookie_content = "";
     
							foreach($this->err as $key => $value){
							 
								$cookie_content .= $value . "|";

							}
							$cookie_content = substr($cookie_content, 0, -1);

							setcookie("ProcReg", $cookie_content, time()+600);  

						header("Location: ?q=cpanel"); 
						exit;
					  }


		   }
		   
		   function procLogout($ref){
			  global $database;
			  $database->logout();
			  header("Location: ".$ref."");
		   }
		   
		   function procRegister($ref){
			  global $session,$database,$form;

			  foreach($_POST as $key => $value) {
					$data[$key] = $database->filter($value);
			  }

				$resp = recaptcha_check_answer ($this->privatekey,
                                      $_SERVER["REMOTE_ADDR"],
                                      $_POST["recaptcha_challenge_field"],
                                      $_POST["recaptcha_response_field"]);

				if (!$resp->is_valid) {
					$this->err[]=heading("Image Verification failed! Error: " . $resp->error . ". Go back and try again.",3);			
				}
				
				if(empty($data['full_name']) || strlen($data['full_name']) < 4)
				{
					$this->err[] = "ERROR - Invalid name. Please enter atleast 3 or more characters for your name";
				}

				if (!$database->isUserID($data['user_name'])) {
					$this->err[] = "ERROR - Invalid user name. It can contain alphabet, number and underscore.";
				}

				if(!$database->isEmail($data['usr_email'])) {
					$this->err[] = "ERROR - Invalid email address.";
				}

				if (!$database->checkPwd($data['pwd'],$data['pwd2'])) {
					$this->err[] = "ERROR - Invalid Password or mismatch. Enter 5 chars or more";
				}
					  
				$user_ip = $_SERVER['REMOTE_ADDR'];

				$sha1pass = $database->PwdHash($data['pwd']);

				$host  = $_SERVER['HTTP_HOST'];
				$host_upper = strtoupper($host);
				$path   = rtrim(dirname($_SERVER['PHP_SELF']), '/\\');


				$activ_code = rand(1000,9999);

				$usr_email = $data['usr_email'];
				$user_name = $data['user_name'];

				$data55=array(
						'count(*) as total'
				);
				$database->select($data55);
				$database->from(TBL_USERS);
				$database->where("user_email", $usr_email); 
				$database->or_where("user_name", $user_name); 

				$rs_duplicate=$database->get();

				list($total) = $database->fetch_row_single($rs_duplicate);

				if ($total > 0)
				{
					$this->err[] = "ERROR - The username/email already exists. Please try again with different username and email.";
				}

				if(empty($this->err)) {

				  $session->register($data['full_name'],$usr_email,$data['pwd'],$sha1pass,$data['address'],$data['tel'],$data['fax'],$data['web'],$user_ip,$activ_code,$data['country'],$user_name,$host,$path);

				  header("Location: ?q=register/thankyou");  
				  exit();
					 
				}

				else{
					    $cookie_content = "";
     
							foreach($this->err as $key => $value){
							 
								$cookie_content .= $value . "|";

							}
							$cookie_content = substr($cookie_content, 0, -1);

							setcookie("ProcReg", $cookie_content, time()+600);  

					header("Location: ?q=register"); 
					exit;
				}
			  
		   }
		   
		   function procForgotPass($ref){
			  global $database, $session;

			  foreach($_POST as $key => $value) {
					$data[$key] = $database->filter($value);
				}
				if(!$database->isEmail($data['user_email'])) {
				$this->err[] .= "ERROR - Please enter a valid email"; 
				}

				$user_email = $data['user_email'];

				$num = $session->login_check($user_email);

				if ( $num <= 0 ) { 

					$this->err[] .= "Error - Sorry no such account exists or registered.";

				}


				if(empty($this->err)) {

				$new_pwd = $database->GenPwd();
				$pwd_reset = $database->PwdHash($new_pwd);
				$host  = $_SERVER['HTTP_HOST'];
				$host_upper = strtoupper($host);

				$session->passForgot($new_pwd,$pwd_reset,$user_email,$host,$host_upper);										 

				header("Location: ".$ref."&msg=1");
				 }

				 else{
					    $cookie_content = "";
     
							foreach($this->err as $key => $value){
							 
								$cookie_content .= $value . "|";

							}
							$cookie_content = substr($cookie_content, 0, -1);

							setcookie("ProcReg", $cookie_content, time()+600);  

					header("Location: ".$ref); 
					exit;
				}
			  
		   }

		   function procActivate($ref){

			   global $database,$session;
		   

				$user_email = $database->escape($_POST['user_email']);
				$activ = $database->escape($_POST['activ_code']);

				$num = $session->activ_check($user_email,$activ);


					if ( $num <= 0 ) { 
					$this->err[] .= "Sorry no such account exists or activation code invalid.";

					}
				//set approved field to 1 to activate the user
				if(empty($this->err)) {

					$session->activateUser($user_email,$activ);
					
					header("Location: ".$ref."&msg=1");

				 }

				else{
					    $cookie_content = "";
     
							foreach($this->err as $key => $value){
							 
								$cookie_content .= $value . "|";

							}
							$cookie_content = substr($cookie_content, 0, -1);

							setcookie("ProcReg", $cookie_content, time()+600);  

					header("Location: ".$ref); 
					exit;
				}
		   
		   }
		   

		   function procEditAccount($ref){
			  global $session, $database;

			  foreach($_POST as $key => $value) {
					$data[$key] = $database->filter($value);
				}

				$user_prf=$_SESSION[user_id];

				foreach ($_FILES as $file) {
					if ($file['tmp_name'] > '') { 
				
						$upload= new Upload();

						$config['upload_path'] = '../upload/user_avatars/';
						$config['allowed_types'] = 'gif|jpg|png|jpeg';
						$config['max_size'] = '10000';
						$config['max_width'] = '5924';
						$config['max_height'] = '2668';
						$config['remove_spaces'] = true;
						$config['encrypt_name'] = true;

						$upload->initialize($config);

						$upload->do_upload("avatar");

						$fileinfo = array();
							
						$fileinfo = $upload->data();

						$avatar = $config['upload_path'].$fileinfo[file_name];
						
						$Image_lib= new Image_lib;

						$config['image_library'] = 'gd2';
						$config['source_image'] = $config['upload_path'].$fileinfo[file_name];
						$config['maintain_ratio'] = FALSE;
						$config['width'] = 130;
						$config['height'] = 150;

						$Image_lib->initialize($config);

						$Image_lib->resize();
					}
				}
				
				$session->editAccount($data[name],$data[address],$data[tel],$data[fax],$data[country],$data[web],$user_prf,$avatar);

				header("Location: ".$ref."&msg=1");

		   }


		   function procEditAccountPass($ref){
			  global $session, $database;

				$user_prf=$_SESSION[user_id];
				
				$rs_pwd = $session->findpass($user_prf);

				list($old) = $rs_pwd;
				$old_salt = substr($old,0,9);

				if($old === $database->PwdHash($_POST['pwd_old'],$old_salt)){

					$newsha1 = $database->PwdHash($_POST['pwd_new']);

					$session->editAccountPass($newsha1,$user_prf);
					
					header("Location: ".$ref."&msg=2");

				
				} else{

					 header("Location: ".$ref."&msg=3");

				}
		   }
	};

	/* Initialize process */
	$process = new Process;
}
?>
