<?
	
	class Contact_form {

	var $inputs = array();
	var $inputSize = array();
	var $email;
	var $skipEmail = false;
	var $mxTest;
	var $sendText;
	

	function Contact_form($str, $text, $mx = true){
		$this->email = $str;
		$this->sendText = $text;
		$this->mxTest = ($mx !== true);
		
		return true;
	}
	

	function skipEmail () {
		$this->skipEmail = true;
	}
	

	function addField ($name, $optionality, $size = 'text') {
		$size = trim($size);
		$name = trim($name);
		$optionality = (int) trim($optionality);
		$name = preg_replace('/[ ]+/', '_', $name);
		
		if(!preg_match('/^[a-z0-9_]+$/i', $name)){
			trigger_error('Error adding the field - illegal character used! ');
		} 
		

		foreach(array('name', 'email', 'sendt', 'send') as $val){
			if(strtolower($name) == $val){
				trigger_error('Error adding the field - system word is used: "message", "sendt", "send", "email" or "name". ');
			}
		}

		if($optionality > 1){
			trigger_error('Error adding the field! ');
		}

		if($size != 'textarea' && $size != 'text'){
			trigger_error('Error adding the field - illegal character used! ');
		}
		$this->inputs[$name] = $optionality;
		$this->inputSize[$name] = $size;
		
		return true;
	}
	

	function theForm (){
		
		// 
		$form = "\t" . form_open(basename($_SERVER['REQUEST_URI'])). "\n";
		$form .= "\t\t" . heading('From *' . "\n",3);
		$form .= "\t\t" . '<p><input type="text" name="name" value="'.$_POST['name'].'" /></p>' . "\n";
		$form .= "\t\t" . '<h3>E-mail';
		

		if(!$this->skipEmail) $form .= ' *';
		$form .= '</h3>' . "\n";
		$form .= "\t\t" . '<p><input type="text" name="email" value="'.$_POST['email'].'" /></p>' . "\n";
		

		foreach($this->inputs as $inputName => $optionality){
			$name = ucfirst(strtolower(str_replace('_', ' ', $inputName)));
			$form .= "\t\t" . '<h3>'.$name;
			
			// Show if its optional or not
			if($optionality == 1){
				$form .= ' *';
			}
			$form .= '</h3>' . "\n";
			
			// If its a big field, or a small one.
			if($this->inputSize[$inputName] == 'text'){
				$form .= "\t\t" . '<p><input type="text" name="'.$inputName.'" value="'.$_POST[$inputName].'" /></p>' . "\n";
			} else {
				$form .= "\t\t" . '<p><textarea name="'.$inputName.'" cols="35" rows="10">'.$_POST[$inputName].'</textarea></p>' . "\n";
			}
		}
		
		$form .= "\t\t" . '<p><input type="hidden" name="sendt" value="KHLKHSDA86342" /></p>' . "\n";
		// submit button and a reset button.
		$form .= "\t\t" . '<p><input class="butt_cont" type="submit" name="send" value="Send" /> <input class="butt_cont" type="reset" value="Clear" /></p>' . "\n";
		$form .= "\t".form_close(). "\n";
		$form .= "\t" . '<small>* Required fields</small>' . "\n";
		
		// Lets print the form, shall we?
		echo '<div id="form">' . "\n";
		echo "\t" . $form . "\n";
		echo div_close() . "\n";
		
		
		// I always like the methods to return something, so lets return true!
		return true;
		
	}
	
	// Check if any of the input that cant be ampty is or is not.
	function checkEmpty (){
		if(empty($_POST['name']) || (!$this->skipEmail && empty($_POST['email']))){
			return false;
		}
		// Check if any of the user defined fields are empty
		foreach($this->inputs as $inputName => $optionality){
			if($optionality == 1){
				if(empty($_POST[$inputName])){
					return false;
				} 
			}
		}
		return true;
	}
	
	// returns an array containing the fields whom not can be empty
	function neededFields () {
		$arr = array();
		
		foreach($this->inputs as $inputName => $optionality){
			if($optionality == 1){
				$name = ucfirst(strtolower(str_replace('_', ' ', $inputName)));
				$arr[] = $name;
			}
		}
		return $arr;
	}
	
	function formActivated () {
		if(isset($_POST['sendt'])){
			return true;
		} else {
			return false;
		}
	}
	
	function checkString($input) { 
		$input = trim(htmlspecialchars($input)); 
		if(get_magic_quotes_gpc()) { 
			$input = stripslashes($input); 
		} 
		return $input; 
	}
	

	function checkHeaders ($str) {
		$str = explode("\n", $str);
		return $str[0];
	}

	function checkMail() {

		$shortMail = explode('@', $_POST['email']);
		

		if(preg_match('/^[a-zA-Z][\\w\\pL\\.-]*[a-zA-Z0-9]@[a-zA-Z0-9][\\w\\pL\\.-]*[a-zA-Z0-9]\\.[a-zA-Z][a-zA-Z\\.]*[a-zA-Z]$/u', $_POST['email'])){
			if($this->mxTest){

				if(trim(exec('dig +short MX '. $shortMail[1])) !== ''){
					return true;
				} else {
					 return false;
				}
			} else {
				return true;
			}
		} else {
			return false;
		}
	}
	
	function sendMail () {
		if($this->checkEmpty()){
			if(!$this->skipEmail){
				if(!$this->checkMail()){
					echo '<p class="error">Wrong E-mail address</p>' . "\n";
					$this->theForm();
					$error = true;
				}
			}
			if(!$error){
				$message = 'New E-mail from your site' . br(3)."\n\n";
				foreach($this->inputs as $inputName => $optionality){
					$name = ucfirst(strtolower(str_replace('_', ' ', $inputName)));
					$message .= b($name).':'.br()."\n";
					$message .= $this->checkString($_POST[$inputName]) . br(2)."\n\n";
				}
				$message .= 'От '. $this->checkString($_POST['name']);
				if(!$this->skipEmail) $message .= ': '.$_POST['email'];
				$message .= br()."\n";
				
				$headers = 'From: '. $this->checkString($this->checkHeaders($_POST['name']));
				if(!$this->skipEmail){
					$headers .= ' <'.$this->checkHeaders($_POST['email']).'>' . "\r\n";
					$headers .= 'Reply-to: ' . $this->checkString($this->checkHeaders($this->email)) . "\r\n";
					$headers .= 'Errors-to: ' . $this->checkString($this->checkHeaders($this->email))  . "\r\n";
					$headers .= 'Return-path: ' . $this->checkString($this->checkHeaders($this->email))  . "\r\n";
				} else {
					$headers .= "\r\n";
				}
				$headers .= 'MIME-Version: 1.0' . "\r\n"; 
				$headers .= 'Content-type: text/html; charset=utf-8' . "\r\n";
				
				if(mail($this->email, 'Message:', $message, $headers)){
					echo $this->sendText . "\n";
					
					header("Refresh: 4; " . basename($_SERVER['REQUEST_URI']));
				} else {
					echo '<p class="error">Error sending the E-mail. Please try again later or contact us directly. '.$this->email.'<p>' . "\n";
					$this->theForm();
				}
			}
		} else {
			echo '<p class="error">Error '. implode(', ', $this->neededFields());
			if(!$this->skipEmail) echo ', E-post';
			echo ' are required fields.</p>' . "\n";
			$this->theForm();
		}
	}
	
	
	function doMail() {
		
		if(!$this->formActivated()){
			$this->theForm();
		} else {
			$this->sendMail();
		}
		
	}
	
}

?>