<!doctype html>
<html lang="bg">
<head>
	<meta charset="utf-8" />
	<title><?php echo $_TITLE_SUFFIX; ?></title>
	<meta name="description" content="<? echo site_desc;?>"/>
	<meta name="keywords" content="<? echo site_keyw;?>"/>
	<meta name="viewport" content="width=device-width, initial-scale=1.0" />		
	<link rel="stylesheet" href="<? echo base_link_url;?>css/reset.css" type="text/css" media="all">
    <link rel="stylesheet" href="<? echo base_link_url;?>css/prettyPhoto.css" type="text/css" media="screen" />    
	<link rel="stylesheet" href="<? echo base_link_url;?>css/flexslider.css" type="text/css" />
    <link rel="stylesheet" href="<? echo base_link_url;?>style.css" type="text/css" media="screen" />
	<link rel="stylesheet" href="<? echo base_link_url;?>admin_pane.css" type="text/css" media="screen" />
	<link rel="stylesheet" href="<? echo base_link_url;?>css/jquery.tweet.css" type="text/css" media="screen" />
    <link rel="stylesheet" href="<? echo base_link_url;?>css/responsive.css" type="text/css" media="all">
    
    
    <link href='http://fonts.googleapis.com/css?family=Patua+One' rel='stylesheet' type='text/css'>
    <!--[if IE 7]><link rel="stylesheet" href="css/ie7.css" type="text/css" media="all" /><![endif]-->
    <!--[if IE 9]><link rel="stylesheet" href="css/ie9.css" type="text/css" media="all" /><![endif]-->
	<!--[if lt IE 9]>
		<script src="http://html5shim.googlecode.com/svn/trunk/html5.js"></script>
        <script src="http://css3-mediaqueries-js.googlecode.com/svn/trunk/css3-mediaqueries.js"></script>
		<link rel="stylesheet" href="css/ie.css" type="text/css" media="all" />
	<![endif]-->
    <!-- Favicons
	================================================== -->
	<link rel="shortcut icon" href="images/favicon.ico">   
	
	<script type="text/javascript" src="/js/jwplayer.js" ></script>
</head>
<body class="home">
<div class="wrapper">
    <header id="header">                    
        <div id="header-top">
            <div class="header-inner">
                <div class="container clearfix">
                    <nav id="top-nav" class="clearfix">
                      <?php echo block_widget(2); ?>
						<!--end:top-menu-->
                    </nav><!--end:top-nav-->
                    <div id="logo-image">
						<a href="?q=startpage"><img src="<?echo logo_img_src;?>" alt="<?echo logo_img_alt;?>" title="<?echo logo_img_alt;?>" /></a>
					</div>
                    <div id="top-banner">
						<?php echo block_widget(8); ?>
					</div>
                    <div class="clear"></div>
                </div><!--end:container-->
            </div><!--end:header-inner-->
        </div><!--end:header-top-->
        <div id="header-middle">
            <div class="header-inner">
                <div class="container clearfix">
                    <nav id="main-nav">
                        <ul id="main-menu" class="clearfix">
                            <li class="home-menu-item current-menu-item"><a href="?q=startpage">Начало</a></li>
                            <?php 
								$database->select("*")->from("news_cat")->order_by("catid");
					
								$get = $database->get();

								while($fetch=$database->fetch_array($get)){
									echo '<li><a href="?q=news&catid='.$fetch['catid'].'">'.$fetch['cat_name'].'</a></li>';
								}

							?>
							
                        </ul><!--end:main-menu-->
                    </nav><!--end:main-nav-->
                </div><!--end:container-->
            </div><!--end:header-inner-->
        </div><!--end:header-middle-->

        <div id="header-bottom">
        	<div class="header-inner">
            	<div class="container clearfix">
                	<div class="clearfix" id="headline">
                        <span class="latest-headline">Акценти:</span>
                        <div class="horizontal_scroller" style="cursor: pointer;">
                            <ul class="scrollingtext clearfix">
							<?php
									$database->select("*")->from("news")->where('accent',1)->order_by("news_date",'desc')->limit(5);
					
									$get = $database->get();

									while($fetch=$database->fetch_array($get)){
									?>
										<li> <a href="?q=news&newsid=<?php echo $fetch['newsid']; ?>"><?php echo $fetch['title']; ?></a> </li>
									<?php
									}
							?>
                            </ul><!--end:scrollingtext-->
                        </div><!--end:horizontal_scroller-->
                    </div><!--end:headline-->
                    <div id="search-social" class="clearfix">	
					
					<?php 
								$database->select("*")->from("social_links")->order_by("socialid");
								$get = $database->get();
								$fetch=$database->fetch_array($get);
					?>
                        <ul class="social-links clearfix">
                            <li class="facebook-icon">
                                <a target="_blank" title="Facebook" class="facebook" href="<?php echo $fetch['facebook_l']?>">
                                    <img src="<? echo base_link_url;?>images/icons/facebook-icon.png" alt="">
                                </a>
                            </li>
                            <li class="twitter-icon">
                                <a target="_blank" title="Twitter" class="twitter" href="<?php echo $fetch['twitter_l']?>">
                                    <img src="<? echo base_link_url;?>images/icons/twitter-icon.png" alt="">                        
                                </a>
                            </li>
                           <li class="rss-icon">
                                <a target="_blank" title="RSS" href="<?php echo $fetch['rss_l']?>">
                                    <img src="<? echo base_link_url;?>images/icons/rss-icon.png" alt="">                        
                                </a>
                            </li>
							<li class="linkedin-icon">
                                <a target="_blank" title="LinkedIn" class="linkedin" href="<?php echo $fetch['linkedin_l']?>">
                                    <img src="<? echo base_link_url;?>images/icons/linkedin-icon.png" alt="">                        
                                </a>
                            </li> 
                        </ul><!--end:social-links-->
                    </div><!--search-social-->
                </div><!--end:container-->
            </div><!--end:header-inner-->
        </div><!--end:header-botom-->
    </header><!--end:header-->

	

    <div id="main-content">
    	<div id="main-content-inner">

		<?php if($_PAGE_LAYOUT == 1){
			?>
			
        	<div class="container clearfix">
            	
                <div class="left-col">
					<section class="shadow-box clearfix">
						<div class="inner-box clearfix">
							<header class="entry-header">
								<h5 class="entry-box-title"><a href="?q=startpage">НОВИНИ</a></h5> 
								<h5 class="entry-box-title"><a href="?q=page&idd=index&news_type=1">Акценти</a></h5> 
								<h5 class="entry-box-title"><a href="?q=page&idd=index&news_type=2">Днес</a></h5> 
								<h5 class="entry-box-title"><a href="?q=page&idd=index&news_type=3">За Седмицата</a></h5> 
								<h5 class="entry-box-title"><a href="?q=page&idd=index&news_type=4">Всички</a></h5>
							</header>
							<div id="main-slider" class="flexslider">
							  <ul class="slides">
								
								<?php
									$short_id = (int)$database->escape($_GET['news_type']);
									if($short_id == 1){
										$database->select("*")->from("news")->where("accent",1)->order_by("news_date",'desc')->limit(5);
									}elseif($short_id == 2){
										$database->select("*")->from("news")->where("news_date >= now()")->order_by("news_date",'desc')->limit(5);
									}elseif($short_id == 3){
										$database->select("*")->from("news")->where("news_date > DATE_SUB( NOW( ) , INTERVAL 1 WEEK )")->order_by("news_date",'desc')->limit(5);
									}									
									elseif($short_id == 4){
										$database->select("*")->from("news")->order_by("news_date",'desc')->limit(5);
									}else{
										$database->select("*")->from("news")->order_by("news_date",'desc')->limit(5);
									}
					
									$get = $database->get();

									while($fetch=$database->fetch_array($get)){
								?>
								<li>
									<article class="kopa-flex clearfix">					
										<a href="?q=news&newsid=<?php echo $fetch['newsid']; ?>" class="slide-image"><img class="responsive-img hover-effect" src="<?php echo $fetch['imageurl']; ?>" alt="" width="405" height="228" /></a>
										<div class="f-entry-content">
											<h3><a class="slide-title" href="?q=news&newsid=<?php echo $fetch['newsid']; ?>"><?php echo $fetch['title']; ?></a></h3>
											<?php echo character_limiter($fetch['content'],350);
											?>
											<br>
											<a href="?q=news&newsid=<?php echo $fetch['newsid']; ?>" class="slide-link"><span>Прочети</span></a>
										</div><!--f-entry-content-->
									</article>
								</li>
								<?php 
									}
								?>

							  </ul>
							</div>
						</div><!--inner-box-->
                    </section><!--end:shadow-box-->

					<div class="shadow-box middle-banner">
                    	<?php echo block_widget(10); ?>
                    </div><!--end:middle-banner-->

					
                    <section class="shadow-box clearfix">
						<div class="inner-box">
							<header class="entry-header">
								<h5 class="entry-box-title"><a href="?q=news&acatid=1">Градски шум</a></h5>
							</header>


								<div class="entry-box">  

							<?php
									$database->select("*")->from("additional_news")->where('news_cat',1)->order_by("newsid",'desc')->limit(4);
					
									$get = $database->get();
									
									$counter=0;
									while($fetch=$database->fetch_array($get)){
										$counter++;
										if($counter<2){
										?>

										<div class="entry-item">
											<a class="k-postthumb" href="?q=news&anewsid=<?php echo $fetch['newsid']; ?>"><img src="<?php echo $fetch['imageurl']; ?>" width="320" height="129" class="responsive-img hover-effect" alt="" /></a>
											<div class="entry-content">
												<h3 class="entry-title"><a href="?q=news&anewsid=<?php echo $fetch['newsid']; ?>"><?php echo $fetch['title']; ?></a></h3>
												<span class="entry-meta"><?php echo $fetch['news_date']; ?></span>

												<?php echo character_limiter($fetch['content'],150);
												?>
											</div><!--end:entry-content-->
										</div><!--end:entry-item-->
										<ul class="older-post">
										<?php
										}else{
								?>

								
									<li>
										<article class="clearfix">
											<a href="?q=news&anewsid=<?php echo $fetch['newsid']; ?>"><img class="responsive-img hover-effect" src="<?php echo $fetch['thumbnail']; ?>" width="55" height="55" alt="" /></a>
											<div class="entry-content">
												<h6 class="entry-title"><a href="?q=news&anewsid=<?php echo $fetch['newsid']; ?>"><?php echo $fetch['title']; ?></a></h6>
												<span class="entry-meta"><?php echo $fetch['news_date']; ?></span>
											</div><!--end:entry-content-->
										</article>
									</li>

								<?php 
									}
										
									}
									if($counter>1){
										?>
											</ul><!--end:older-post-->
										<?php
									}
								?>

									<div class="clear"></div>
							</div><!--end:entry-box-->

						</div><!--inner-box-->
                    </section><!--end:shadow-box-->
					 <div class="shadow-box middle-banner">
                    	<?php echo block_widget(11); ?>
                    </div><!--end:middle-banner-->

					<section class="feature-widget shadow-box clearfix">
						<div class="inner-box">
							<header class="entry-header">
								<h4 class="feature-title"><a href="?q=news&acatid=2">Свободно време</a></h4>
							</header>
							<div class="list-carousel responsive">
								<ul class="feature-news clearfix">
									
									<?php
									$database->select("*")->from("additional_news")->where('news_cat',2)->order_by("news_date",'desc')->limit(3);
					
									$get = $database->get();
									
									while($fetch=$database->fetch_array($get)){

									?>

									<li>
										<article>
											<div class="feature-image" style="width:212px!important; height:120px!important;">
												<a class="k-featured-img" href="?q=news&anewsid=<?php echo $fetch['newsid']; ?>"><img class="responsive-img hover-effect" src="<?php echo $fetch['imageurl']; ?>" alt="" width="212" height="120" /></a>
												<a class="entry-title" href="?q=news&anewsid=<?php echo $fetch['newsid']; ?>"><?php echo $fetch['title']; ?></a>
											</div><!--end:feature-image-->
										</article>
									</li>
									<?php
									}
									?>
									
								</ul><!--end:feature-news-->
								<div class="clear"></div>
								<a id="prev-2" class="prev" href="#">&nbsp;</a>
								<a id="next-2" class="next" href="#">&nbsp;</a>
							</div><!--end:list-carousel-->
						</div><!--inner-box-->
					</section><!--end:feature-widget-->

                </div><!--end:left-col-->
                <div class="right-col last" id="right-sidebar">
                	<aside class="widget shadow-box clearfix">
						<div class="inner-box">
							<h5 class="widget-title twopx-bottom-border"><span class="twopx-bottom-border">Видео</span></h5>
								<div id="videoPlayer">Loading the player...</div>

									<script>
										jwplayer("videoPlayer").setup({
										  playlist: [{
										<?php
										$database->select("*")->from("video")->order_by("videoid",'desc')->limit(5);
					
										$get = $database->get();
												
										while($fetch=$database->fetch_array($get)){
										echo '
											file: "'.str_replace('..','',$fetch['videourl']).'",
											image: "'.str_replace('..','',$fetch['thumbnail']).'",
											title: "'.$fetch['title'].'"
											},{
										';
										}
										?>
										  }],
										  width: 290,
										  height: 305,
										  listbar: {
											position: "bottom",
											size: 120
										  }
										});
									</script>
						</div><!--inner-box-->
                    </aside><!--end:widget-->

					
                    <aside class="widget shadow-box clearfix">
                    	<div class="adv-box clearfix">
                            <?php echo block_widget(12); ?>
                        </div><!--end:adv-box-->
                    </aside><!--end:widget-->

                    <aside class="widget shadow-box clearfix">
						<div class="inner-box">
							<div class="list-container">
								
								<ul class="sidebar-tabs clearfix">
									<?php 
									$database->select("*")->from("event_types")->order_by("typeid");
						
										$get = $database->get();
										while($fetch=$database->fetch_array($get)){
										?>
											<li><a href="#sidebar-tab<?php echo $fetch['typeid'];?>"><?php echo $fetch['ev_name']; ?></a></li>
										<?php
										}

									?>
								</ul><!--end:tabs-->
							</div><!--end:list-container-->
							<div class="tab-container">
								<?php
									$database->select("*")->from("event_types")->order_by("typeid");
						
										$get2 = $database->get();
										while($fetch=$database->fetch_array($get2)){
										?>
											<div id="sidebar-tab<?php echo $fetch['typeid'];?>" class="sidebar-tab-content">
											<ul>
											<?php
												$database->select("*")->from("events")->where("groupid",$fetch['typeid'])->order_by("Id","desc")->limit(5);
						
												$get = $database->get();
												while($fetch=$database->fetch_array($get)){
												?>
												<li>
													<a href="#">
														<?php echo $fetch['Subject'];?>
													</a>
												</li>
											<?php
												}
											?>
											</ul>
											</div>
										<?php

										}
								?>
								<!--end:sidebar-tab-content-->
							</div><!--end:tab-container-->
						</div><!--inner-box-->
                    </aside><!--end:widget-->
                    
					<aside class="widget shadow-box clearfix">
                    	<div class="adv-box clearfix">
                            <?php echo block_widget(13); ?>
                        </div><!--end:adv-box-->
                    </aside><!--end:widget-->

                    <aside class="widget shadow-box clearfix">
						<div class="inner-box">
							<h5 class="widget-title"><span>Анкета</span></h5>
							
								<?php echo return_content(block_widget(9)); ?>

						</div><!--inner-box-->
                    </aside><!--end:widget-->

                </div><!--end:right-sidebar-->
                <div class="clear"></div>
            </div><!--end:container-->

		<?php
		}elseif($_PAGE_LAYOUT==2)	{
		?>
			<div class="container clearfix"> 
					<div class="breadcrumb clearfix">
                    	<a href="?q=startpage">Начало</a><span>&nbsp;&nbsp;/&nbsp;&nbsp;</span>
						<a href="?q=page&idd=<?php echo $database->escape($_GET['idd']); ?>" class="current-page"><?
											echo $_LOCAL_TASKS;
									?></a>
                    </div><!--end:breadcrumb-->
                    <section class="shadow-box clearfix">
						<div class="inner-box">
							<div class="entry-box clearfix">
								<h3 class="entry-title"><?
											echo $_LOCAL_TASKS;
									?></h3>

								<p class="clearfix">

									<?			
									return_content($_PAGE_CONTENT);
										 
									?>

								</p>                            
								
								
							</div><!--end:entry-box-->
                        </div><!-- class="inner-box"-->
                    </section><!--end:shadow-box-->
                <div class="clear"></div>
            </div><!--end:container-->
		<?php
		}else{
			
		?>
				<div class="container clearfix">            	
                <div class="left-col">

				<?php
					if($_NID>0){
					?>			
					<div class="breadcrumb clearfix">
                    	<span><a href="?q=startpage">Начало &nbsp;&nbsp;/&nbsp;&nbsp;</a></span><a href="?q=news">Новини</a><span>&nbsp;&nbsp;/&nbsp;&nbsp;</span>
						<a href="?q=news&<?php echo $_NEWS_LINK; ?>" class="current-page"><?php echo $_TITLE; ?></a>
						<b style="float:right">Прочетена:  <?php echo $_READ; ?></b>
						
						<div class="cleaner"></div>
						
                    </div><!--end:breadcrumb-->
                    <section class="shadow-box clearfix">
						<div class="inner-box">

							<div class="entry-box clearfix">
								<h3 class="entry-title"><?php echo $_TITLE;?></h3>
								<span class="entry-meta"><b>Дата: </b><?php echo $_DATE;?></span>
								<div class="cleaner"></div>
								<img src="<?php echo $_IMG;?>" class="news_image" alt="" />
								
								<p><?php echo $_NEWS_CONTENT; ?></p>

							</div><!--end:entry-box-->
                        </div><!--class="inner-box"-->
                    </section><!--end:shadow-box-->

					<div class="cleaner"></div>
					<?php if(strlen($_PREV_ID)>0){
					?>
						<a href="?q=news&newsid=<?php echo $_PREV_ID; ?>" class="current-page"> &lt; &lt; Предишна новина</a>
					<?php
					}if(strlen($_NEXT_ID)>0 && strlen($_PREV_ID)>0){
					?>
					 |
					<?php 
					}
					if(strlen($_NEXT_ID)>0){
					?>
						<a href="?q=news&newsid=<?php echo $_NEXT_ID; ?>" class="current-page"> Следваща новина &gt; &gt;</a>
					<?php
					}
					?>
						

					<div class="cleaner"></div><br>
	
                    <section class="shadow-box">
						<div class="inner-box">
							<div id="comments">
								<h5><?php echo $_COMMENT_NUM; ?> 
									<?php if($_COMMENT_NUM == 1){?>
										Коментар
									<?php }else{
										?>
										Коментара
									<?php
											}
										?>
								</h5>
								<ol class="comments-list">

									<?php 
									foreach($_COMMENT_ARRAY as $key){
									?>
										<li class="comment">
										<article class="comment-wrap clearfix"> 
											<img class="responsive-img" src="<? echo base_link_url;?>images/icons/profile.png" alt="">
											<div class="comment-body">
												<div class="comment-meta">
													<span class="author"><?php echo $key['name']; ?></span>
													<span class="date"><?php echo $key['date']; ?></span>                                                
												</div><!-- end:comment-meta -->                        
												<p><?php echo $key['comment']; ?></p>
												
											</div><!-- end:comment-body -->
										</article>                                                                               
									</li>

									<?php
									}
									?>
									
								</ol><!--end:comments-list-->
								<div class="comment-pagination clearfix">
									<?php
									for($i=1; $i < ($_PAGER + 1); $i++){
										if($i == $_PAGEID){

										?>
											<span class="page-numbers current"><?php echo $i;?></span>
										<?php
										}else{
									?>
										<a href="?q=news&newsid=<?php echo $_NID;?>&pageid=<?php echo $i; ?>" class="page-numbers"><?php echo $i; ?></a>
									<?php
										}
									}
									?>
									
									
								</div>
								<div class="clear"></div>
							</div><!--end:comments-->

							<div id="respond">
								<h3>Оставете Коментар:</h3>               
								<form id="comments-form" class="clearfix" method="post" action="javascript:void(0);" data-role="validator" novalidate="novalidate">                
									<div class="comment-left">
										<p class="input-block">
											<label class="required" for="comment-name">Име:</label>
											<input type="text" validationmessage="Моля въведете име" required="" class="k-textbox" id="comment-name" value="" name="name">
										</p>
										<p class="input-block">
											<label for="comment-email">E-mail:</label>
											<input type="email" class="k-textbox" id="comment-email" value="" name="email">
										</p>
										<p class="input-block">                                                
											<label class="required" for="comment-captcha">Верификация:</label><br>
											
											<input type="text" validationmessage="Моля въведете сбора" required="" class="k-textbox" id="comment-captcha" value="" name="captcha">    <input type="hidden" name="n1" id="n1" value="<?php echo $_N1; ?>" >
											<input type="hidden" name="n2" id="n2" value="<?php echo $_N2; ?>" >
											<input type="hidden" name="nid" id="nid" value="<?php echo $_NID; ?>" >

											<b class="veri"><?php echo $_N1 ?> + <?php echo $_N2 ?> = ?</b>
										</p>
									</div>
									<div class="comment-right">
										<p class="textarea-block">                        
											<label class="required" for="comment-message">Коментар:</label>
											<textarea validationmessage="Моля въведете съобщение" required="" rows="6" cols="88" id="comment-message" name="message"></textarea>
										</p>
									</div>
									<div class="clear"></div>
									<p class="comment-button">                    
										<input type="submit" id="submit-comment" value="Коментирай">
										<p id="status-message"></p>
									</p>                        
								</form>
							</div><!--end:respond-->
						</div><!-- inner-box-->
                    </section><!--end:shadow-box-->

					<?php
						}else{
							
					?>	

							<ol class="comments-list">

									<?php 
									foreach($_NEWS_ARRAY as $key){

										if(isset($_ANEWS)){
											$NEWS_LINK = "?q=news&anewsid=".$key['id'];
											$CAT_LINK = "?q=news&acatid=".$_CATID;
										}else{
											$NEWS_LINK = "?q=news&newsid=".$key['id'];
											$CAT_LINK = "?q=news&catid=".$_CATID;
										}
									?>
										<li class="comment">
										<article class="comment-wrap clearfix"> 
											<a href="<?php echo $NEWS_LINK; ?>"><img class="responsive-img" src="<?php echo $key['thumbnail']; ?>" alt=""></a>
											<div class="comment-body">
												<div class="comment-meta">
													<a href="<?php echo $NEWS_LINK; ?>"><span class="author"><?php echo $key['title']; ?></span></a>
													<span class="date"><b>Дата: </b><?php echo $key['date']; ?></span>  
													<p><?php echo character_limiter($key['content'],700); ?></p>
												</div><!-- end:comment-meta -->         
												
											</div><!-- end:comment-body -->
										</article>                                                                               
									</li>

									<?php
									}
									?>
									
								</ol><!--end:comments-list-->
								<div class="comment-pagination clearfix">
									<?php
									for($i=1; $i < ($_PAGER + 1); $i++){
										if($i == $_PAGEID){

										?>
											<span class="page-numbers current"><?php echo $i;?></span>
										<?php
										}else{
									?>
										<a href="<?php echo $CAT_LINK;?>&pageid=<?php echo $i; ?>" class="page-numbers"><?php echo $i; ?></a>
									<?php
										}
									}
									?>
									
									
								</div>
								<div class="clear"></div>
								<br>
								<div class="clear"></div>
					<?php
					}
					?>
                </div><!--end:left-col-->
                <div class="right-col last" id="right-sidebar">
                	<aside class="widget shadow-box clearfix">
						<div class="inner-box">
							<h5 class="widget-title twopx-bottom-border"><span class="twopx-bottom-border">Видео</span></h5>
								<div id="videoPlayer">Loading the player...</div>

									<script>
										jwplayer("videoPlayer").setup({
										  playlist: [{
										<?php
										$database->select("*")->from("video")->order_by("videoid",'desc')->limit(5);
					
										$get = $database->get();
												
										while($fetch=$database->fetch_array($get)){
										echo '
											file: "'.str_replace('..','',$fetch['videourl']).'",
											image: "'.str_replace('..','',$fetch['thumbnail']).'",
											title: "'.$fetch['title'].'"
											},{
										';
										}
										?>
										  }],
										  width: 290,
										  height: 305,
										  listbar: {
											position: "bottom",
											size: 120
										  }
										});
									</script>
						</div><!--inner-box-->
                    </aside><!--end:widget-->

					
                    <aside class="widget shadow-box clearfix">
                    	<div class="adv-box clearfix">
                            <?php echo block_widget(12); ?>
                        </div><!--end:adv-box-->
                    </aside><!--end:widget-->

                    <aside class="widget shadow-box clearfix">
						<div class="inner-box">
							<div class="list-container">
								
								<ul class="sidebar-tabs clearfix">
									<?php 
									$database->select("*")->from("event_types")->order_by("typeid");
						
										$get = $database->get();
										while($fetch=$database->fetch_array($get)){
										?>
											<li><a href="#sidebar-tab<?php echo $fetch['typeid'];?>"><?php echo $fetch['ev_name']; ?></a></li>
										<?php
										}

									?>
								</ul><!--end:tabs-->
							</div><!--end:list-container-->
							<div class="tab-container">
								<?php
									$database->select("*")->from("event_types")->order_by("typeid");
						
										$get2 = $database->get();
										while($fetch=$database->fetch_array($get2)){
										?>
											<div id="sidebar-tab<?php echo $fetch['typeid'];?>" class="sidebar-tab-content">
											<ul>
											<?php
												$database->select("*")->from("events")->where("groupid",$fetch['typeid'])->order_by("Id","desc")->limit(5);
						
												$get = $database->get();
												while($fetch=$database->fetch_array($get)){
												?>
												<li>
													<a href="#">
														<?php echo $fetch['Subject'];?>
													</a>
												</li>
											<?php
												}
											?>
											</ul>
											</div>
										<?php

										}
								?>
								<!--end:sidebar-tab-content-->
							</div><!--end:tab-container-->
						</div><!--inner-box-->
                    </aside><!--end:widget-->
                    
					<aside class="widget shadow-box clearfix">
                    	<div class="adv-box clearfix">
                            <?php echo block_widget(13); ?>
                        </div><!--end:adv-box-->
                    </aside><!--end:widget-->

                    <aside class="widget shadow-box clearfix">
						<div class="inner-box">
							<h5 class="widget-title"><span>Анкета</span></h5>
							
								<?php echo return_content(block_widget(9)); ?>

						</div><!--inner-box-->
                    </aside><!--end:widget-->

                </div><!--end:right-sidebar-->
                <div class="clear"></div>
            </div><!--end:container-->
		<?php
		}
		?>

        </div><!--end:main-content-inner-->
        <p id="back-top">
            <a href="#top">Back to Top</a>
        </p>
    </div><!--end:main-content-->
	

</div><!--end:wrapper-->
<div  id="bottom-sidebar"  class="wrapper">
	<div class="container clearfix">
            
				<?php
				#	$database->select("*")->from("widgets")->order_by("widgetid");
					
				#	$get = $database->get();

				#	while($fetch=$database->fetch_array($get)){
					
				#		echo div_open("one-forth");
#
				#		echo '<aside class="widget">';
#
				#		echo '<h5 class="widget-title">'.$fetch['widget_name'].'</h5>';

				#		echo div_open("text-widget");

				#		echo return_content($fetch['widget_cont']);
				#		
						echo div_close();

				#		echo '</aside>';
#
				#		echo div_close();
				#	}
				?>

           <!--  <div class="one-forth last">
                <aside class="widget">
                    <h5 class="widget-title">Връзки</h5>
                    <?php 
					include_once('mod/menu.mod.php');
					$links=buildMenu(0, $menuData, $ctr);
					echo $links;
					?>

                </aside> -->
				<!--end:widget--> 
            <!-- </div> --> <!--end:one-forth-->
    </div><!--end:container-->
</div><!--end:bottom-sidebar-->
<footer id="footer" class="wrapper">
        <div class="container clearfix">
            <p id="copyrights"><? echo footer_copyright; ?></p>
            <?php echo block_widget(4); ?>
			<!--end:footer-menu-->
        </div><!--end:container-->
</footer>

<? if($database->checkAdmin()) { ?>
		<div id="admin_pane">
			<div class="admin_center">
				<ul>
				    <li><a href="admin/?q=startpage"><img src="admin/tpl/img/dashboard.png" width="24" alt="" />Dashboard</a></li>
					<li><a href="admin/?q=profile"><img src="admin/tpl/img/profile.png" width="24" alt="" />Profile</a></li>
					<li><a href="admin/?q=admin"><img src="admin/tpl/img/administrator.png" width="24" alt="" />Users Admin</a></li>
					<li><a href="admin/?q=pages"><img src="admin/tpl/img/pages2.png" width="24" alt="" />Pages</a></li>
					<li><a href="admin/?q=links"><img src="admin/tpl/img/link.png" width="24" alt="" />Links</a></li>
					<li><a href="admin/?q=sitevar"><img src="admin/tpl/img/site.png" width="24" alt="" />Site Admin</a></li>
					<li><a href="admin/?q=process&ref=1"><img src="admin/tpl/img/exit.png" width="24" alt="" />Log Out</a></li>
				</ul>
			</div>
		</div>
	<?
	}	
	?>


</body>
	<script type="text/javascript" src="<? echo base_link_url.base_js_url;?>jquery-1.7.1.min.js"></script>
    <script type="text/javascript" src="<? echo base_link_url.base_js_url;?>jquery-scroller-v1.min.js"></script>
	<script type="text/javascript" src="<? echo base_link_url.base_js_url;?>jquery-scroller-v1.src.js"></script>
    <script type="text/javascript" src="<? echo base_link_url.base_js_url;?>jquery.carouFredSel-5.6.4-packed.js"></script>	
    <script type="text/javascript" src="<? echo base_link_url.base_js_url;?>jquery.prettyPhoto.js"></script>
    <script type="text/javascript" src="<? echo base_link_url.base_js_url;?>jflickrfeed.min.js"></script>
	<script type="text/javascript" src="<? echo base_link_url.base_js_url;?>kendo.web.min.js"></script>
	<script type="text/javascript" src="<? echo base_link_url.base_js_url;?>jquery.backstretch.js"></script>	
	<script type="text/javascript" src="<? echo base_link_url.base_js_url;?>jquery.flexslider-min.js"></script>
	<script type="text/javascript" src="<? echo base_link_url.base_js_url;?>jquery.tweet.js"></script>
    <script type="text/javascript" src="<? echo base_link_url.base_js_url;?>custom.js"></script>
	<script src="/js/poll.js" type="text/javascript"></script>
	<script>
        jQuery.backstretch([
          "images/01.jpg",
          "images/02.jpg",
           "images/03.jpg"
        ], {
            fade: 750,
            duration: 4000
        });
    </script>
</html>


	
	

