<?
class db_module {

	var $db;
	var $data_cache 	= array();
	var $cnt=0;

    public $download = false;
    public $download_path = "";
    public $file_name = NULL;
    public $file_ext = "xml";
    public $import_path = "";


	function db_module()
	{
		info("Database Utility Class Initialized");
	}

	function csv_from_query($resource,$outputfile,$delimiter,$headers_printed)
	{
		global $database;
		$output = "";

		if(strlen($delimiter)>1){
			err("Непозволен разделител");
			return;
		}

		
		while($row = $database->fetch_array($resource))
		{
			if($headers_printed)
			{
				if($cnt<1){
				$output .= join(''.$delimiter.'', array_keys($row)) ."\n";
				}
				$cnt++;
			}
	 
			foreach ($row as &$value)
			{
				$value = str_replace("\r\n", "", $value);
				$value = "\"" . $value . "\"";
			}
	 
			$output .= join(''.$delimiter.'', $row)."\n";
	 
		}
	 
		$size_in_bytes = strlen($output);
		header("Content-type: text/x-comma-separated-values;");
		header("Content-disposition:  attachment; filename=".$outputfile.".csv; size=$size_in_bytes");
	 
		print $output;
		exit;
	}

 
	function xml_from_query($sql, $structure=0, $indent=0,$outputfile='backup',$header='DBASE'){
		
		global $database;

		$row_current = $row_previous = null;
			
		  $sql = $database->escape($sql);
		  
		  $result = $database->query($sql);

		  $ncols = $database->fetch_num_fields($result);

		  if ($structure == 0) {
			  
			  $deep = -1; $pos = 0;
		  }

		  else{
			
			$hierarchy = explode(',', $structure); 
			
			$deep      = count($hierarchy);        

			for ($i=0; $i <= $deep; $i++) $tagOpened[$i] = false;

			for ($i=0; $i < $ncols; $i++) $rowPrev[$i] = microtime();
		  }
		  
		  printf("<".$header.">\n");

		  while($row = $database->fetch_row_single($result)){

			for ($level=0,$pos=0; $level<$deep; $level++){

			  for ($i=$pos; $i < $pos+$hierarchy[$level]; $i++){
				
				$row_current  .= trim($row[$i]);
				
				$row_previous .= trim($rowPrev[$i]);
			  }

			  if ($row_current != $row_previous){

				for ($i=$deep; $i >= $level; $i--){

				  if ($tagOpened[$i]) printf('%'.($i*2+$indent)."s</ROW%d>\n", '', $i);

				  $tagOpened[$i] = false;
				}

				for ($i=$pos; $i < $ncols; $i++) $rowPrev[$i] = microtime();

				$tagOpened[$level] = true;

				printf('%'.($level*2+$indent)."s<ROW%d>\n", '', $level);

				for ($i=$pos; $i < $pos+$hierarchy[$level]; $i++){

				  $name = strtoupper($database->fetch_field_name($result, $i));

				  printf('%'.(($level+1)*2+$indent)."s<%s>%s</%s>\n",'', $name, trim(htmlspecialchars($row[$i],$i)), $name);
				}
			  }

			  $pos += $hierarchy[$level];

			  $row_current = $row_previous = '';
			}

			  printf('%'.($level*2+$indent)."s<ROW%d>\n", '', $level);

			for ($i=$pos; $i < $ncols; $i++){

			  $name = strtoupper($database->fetch_field_name($result, $i));

			  printf('%'.(($level+1)*2+$indent)."s<%s>%s</%s>\n",'', $name, trim(htmlspecialchars($row[$i],$i)), $name);

			}
			printf('%'.($level*2+$indent)."s</ROW%d>\n", '', $level);

			$rowPrev = $row; 
		  }

		  for ($level=$deep; $level>=0; $level--)
			if ($tagOpened[$level])
				printf('%'.($level*2+$indent)."s</ROW%d>\n", '', $level);
			
			printf("</".$header.">");
			
			header("Content-type: text/xml;");

			header("Content-disposition:  attachment; filename=".$outputfile.".xml;");
		 
			exit;
	}



}

