<?
class MySQLDB
{

	//--------------------------------------------------------------------------------------------
	//set variables
    var $connection;         
    var $num_active_users;   
    var $num_active_guests;  
    var $num_members;
	var $dbprefix;
    var $conn_id		= NULL;
	var $result_id		= NULL;
	var $result_array	= NULL;
	var $result_object	= NULL;
	var $data_cache		= array();
	var $current_row 	= 0;
	var $num_rows		= 0;
	var $row_data		= NULL;
	var $_protect_identifiers	= TRUE;
	var $_reserved_identifiers = TRUE;
	var $ar_select				= array();
	var $ar_distinct			= FALSE;
	var $ar_from				= array();
	var $ar_join				= array();
	var $ar_where				= array();
	var $ar_like				= array();
	var $ar_groupby				= array();
	var $ar_having				= array();
	var $ar_limit				= FALSE;
	var $ar_offset				= FALSE;
	var $ar_order				= FALSE;
	var $ar_orderby				= array();
	var $ar_wherein				= array();
	var $ar_aliased_tables		= array();
	var $ar_store_array			= array();
	var $charset_names			= 'utf8';

//------------------------------------------------------------------------------------------------------
// initialize the constructor
   function __construct(){
   
   $this->connection = mysql_connect(DB_SERVER, DB_USER, DB_PASS) or die(mysql_error());
      mysql_select_db(DB_NAME, $this->connection) or die(mysql_error());
	  $this->num_members = -1;

		
	  if(site_charset){
		$this->query("set names ".site_charset."");
      }

      if(TRACK_VISITORS){

         $this->calcNumActiveUsers();
         $this->calcNumActiveGuests();
      }
   }

 //------------------------------------------------------------------------------------------------------ 
 //close conection to database
   function __destruct() {
	@mysql_close($this->connection);
   }
 
 //------------------------------------------------------------------------------------------------------
 //escape unwanted characters   
  function escape($string) {
	if(get_magic_quotes_runtime()) $string = stripslashes($string);
	return @mysql_real_escape_string($string,$this->connection);
  }

//------------------------------------------------------------------------------------------------------
//run query
  function query($sql) {
	// Изпълнение на заявката
	$this->query_id = @mysql_query($sql, $this->connection);

	if (!$this->query_id) {
		$this->oops("<b>MySQL Грешка в заявката към базата:</b> $sql");
		return 0;
	}
	
	$this->affected_rows = @mysql_affected_rows($this->connection);

	return $this->query_id;
  }

//------------------------------------------------------------------------------------------------------
//return id
  function inserted_id() {
 
		return mysql_insert_id();
  }

//------------------------------------------------------------------------------------------------------
//fetch object from result
  function fetch_object($query_id=-1) {

		if ($query_id!=-1) {
			$this->query_id=$query_id;
		}

		if (isset($this->query_id)) {
			$record = @mysql_fetch_object($this->query_id);
		}else{
			$this->oops("Невалидна заявка: <b>".$this->query_id."</b>. Записите не бяха извлечени.");
		}

		return $record;
	}

//------------------------------------------------------------------------------------------------------
//fetch array from result
   function fetch_array($query_id=-1) {
	// Извличане на запис
	if ($query_id!=-1) {
		$this->query_id=$query_id;
	}

	if (isset($this->query_id)) {
		$record = @mysql_fetch_assoc($this->query_id);
	}else{
		$this->oops("Невалидна заявка: <b>".$this->query_id."</b>. Записите не бяха извлечени.");
	}

	return $record;
  }

//------------------------------------------------------------------------------------------------------
//fetch all arrays from result
  function fetch_all_array($sql) {
	$query_id = $this->query($sql);
	$out = array();

	while ($row = $this->fetch_array($query_id)){
		$out[] = $row;
	}

	$this->free_result($query_id);
	return $out;
  }

//-----------------------------------
//limit results
public function limit($value, $offset = '')
	{
		$limit = $this->ar_limit = $value;

		if ($offset != '')
		{
			$this->ar_offset = $offset;
			$limit .= " OFFSET ".$this->ar_offset;
		}

		return $limit;
	}
 //------------------------------------------------------------------------------------------------------
//fetch single row result
  function fetch_row_single($query_id=-1){
	
	if ($query_id!=-1) {
		$this->query_id=$query_id;
	}

	if (isset($this->query_id)) {
		$record = @mysql_fetch_row($this->query_id);
	}else{
		$this->oops("Невалидна заявка: <b>".$this->query_id."</b>. Записите не бяха извлечени.");
	}

	return $record;
	
  }

//------------------------------------------------------------------------------------------------------
//fetch number of fields
  function fetch_num_fields($query_id=-1){
	
	if ($query_id!=-1) {
		$this->query_id=$query_id;
	}

	if (isset($this->query_id)) {
		$record = @mysql_num_fields($this->query_id);
	}else{
		$this->oops("Невалидна заявка: <b>".$this->query_id."</b>. Записите не бяха извлечени.");
	}

	return $record;
	
  }

//------------------------------------------------------------------------------------------------------
//fetch field name
  function fetch_field_name($query_id=-1, $n){
	
	if ($query_id!=-1) {
		$this->query_id=$query_id;
	}

	if (isset($this->query_id)) {
		$record = @mysql_field_name($this->query_id, $n);
	}else{
		$this->oops("Невалидна заявка: <b>".$this->query_id."</b>. Записите не бяха извлечени.");
	}

	return $record;
	
  }

//------------------------------------------------------------------------------------------------------	
// fetch result
	function result($type = 'object')
	{	
		return ($type == 'object') ? $this->result_object($type) : $this->result_array($type);
	}

//------------------------------------------------------------------------------------------------------	
// another fetch object result
	function result_object($sql)
	{
		if (count($this->result_object) > 0)
		{
			return $this->result_object;
		}
		
		if ($sql === FALSE)
		{
			return array();
		}

		$this->_data_seek(0);
		while ($row = $this->fetch_object($sql))
		{
			$this->result_object = $row;
		}
		
		return $this->result_object;
	}

//------------------------------------------------------------------------------------------------------	
// another fetch array result
	function result_array($sql)
	{
		if (count($this->result_array) > 0)
		{
			return $this->result_array;
		}

		if ($sql === FALSE OR $this->num_rows($sql) == 0)
		{
			return array();
		}

		$this->_data_seek(0);
		while ($row = $this->fetch_array($sql))
		{
			$this->result_array = $row;
		}
		
		return $this->result_array;
	}

//---------------------------------------------------------------------------------------------
//join clause
	function join($table, $cond, $type = '')
	{		
		if ($type != '')
		{
			$type = strtoupper(trim($type));

			if ( ! in_array($type, array('LEFT', 'RIGHT', 'OUTER', 'INNER', 'LEFT OUTER', 'RIGHT OUTER')))
			{
				$type = '';
			}
			else
			{
				$type .= ' ';
			}
		}

		$this->_track_aliases($table);

		if (preg_match('/([\w\.]+)([\W\s]+)(.+)/', $cond, $match))
		{
			$match[1] = $this->_protect_identifiers($match[1]);
			$match[3] = $this->_protect_identifiers($match[3]);
		
			$cond = $match[1].$match[2].$match[3];		
		}
		
		$join = $type.'JOIN '.$this->_protect_identifiers($table, TRUE, NULL, FALSE).' ON '.$cond;

		$this->ar_join[] = $join;
		
		return $this;
	}

//------------------------------------------------------------------------------------------------------
//run get where function
	function get_where($table = '', $where = null, $limit = null, $offset = null)
	{
		if ($table != '')
		{
			$this->from($table);
		}

		if ( ! is_null($where))
		{
			$this->where($where);
		}
		
		if ( ! is_null($limit))
		{
			$this->limit($limit, $offset);
		}
			
		$sql = $this->compile_query();

		$result = $this->query($sql);
		$this->_reset_select();
		return $result;
	}

//------------------------------------------------------------------------------------------------------
//get where function
	function getwhere($table = '', $where = null, $limit = null, $offset = null)
	{
		return $this->get_where($table, $where, $limit, $offset);
	}

//------------------------------------------------------------------------------------------------------
//where clause
	function where($key, $value = NULL, $escape = TRUE)
	{
		return $this->_where($key, $value, 'AND ', $escape);
	}

//------------------------------------------------------------------------------------------------------
//or where clause	
	function or_where($key, $value = NULL, $escape = TRUE)
	{
		return $this->_where($key, $value, 'OR ', $escape);
	}

//------------------------------------------------------------------------------------------------------
//run where clause
	function _where($key, $value = NULL, $type = 'AND ', $escape = TRUE)
	{
		if ( ! is_array($key))
		{
			$key = array($key => $value);
		}
		
		// If the escape value was not set will will base it on the global setting
		if ( ! is_bool($escape))
		{
			$escape = $this->_protect_identifiers;
		}

		foreach ($key as $k => $v)
		{
			$prefix = (count($this->ar_where) == 0 AND count($this->ar_cache_where) == 0) ? '' : $type;

			if (is_null($v) && ! $this->_has_operator($k))
			{
				// value appears not to have been set, assign the test to IS NULL
				$k .= ' IS NULL';
			}
			
			if ( ! is_null($v))
			{
				if ($escape === TRUE)
				{
					$k = $this->_protect_identifiers($k, FALSE, $escape);
					
					$v = ' \''.$this->escape($v).'\'';
				}

				if ( ! $this->_has_operator($k))
				{
					$k .= ' =';
				}
			}
			else
			{
				$k = $this->_protect_identifiers($k, FALSE, $escape);			
			}

			$this->ar_where[] = $prefix.$k.$v;
			
		}
		
		return $this;
	}

//------------------------------------------------------------------------------------------------------
//where in clause
	function where_in($key = NULL, $values = NULL)
	{
		return $this->_where_in($key, $values);
	}

//------------------------------------------------------------------------------------------------------
//or where in clause
	function or_where_in($key = NULL, $values = NULL)
	{
		return $this->_where_in($key, $values, FALSE, 'OR ');
	}

//------------------------------------------------------------------------------------------------------
//where not in clause
	function where_not_in($key = NULL, $values = NULL)
	{
		return $this->_where_in($key, $values, TRUE);
	}

//------------------------------------------------------------------------------------------------------
//or where not in clause	
	function or_where_not_in($key = NULL, $values = NULL)
	{
		return $this->_where_in($key, $values, TRUE, 'OR ');
	}

//------------------------------------------------------------------------------------------------------
//run where in clause
	function _where_in($key = NULL, $values = NULL, $not = FALSE, $type = 'AND ')
	{
		if ($key === NULL OR $values === NULL)
		{
			return;
		}
		
		if ( ! is_array($values))
		{
			$values = array($values);
		}
		
		$not = ($not) ? ' NOT' : '';

		foreach ($values as $value)
		{
			$this->ar_wherein[] = $this->escape($value);
		}

		$prefix = (count($this->ar_where) == 0) ? '' : $type;
 
		$where_in = $prefix . $this->_protect_identifiers($key) . $not . " IN ('" . implode("', '", $this->ar_wherein) . "') ";

		$this->ar_where[] = $where_in;
		
		// reset the array for multiple calls
		$this->ar_wherein = array();
		return $this;
	}

//------------------------------------------------------------------------------------------------------
//run get
	function get($table = '', $limit = null, $offset = null)
	{
		if ($table != '')
		{
			$this->_track_aliases($table);
			$this->from($table);
		}
		
		if ( ! is_null($limit))
		{
			$this->limit($limit, $offset);
		}
			
		$sql = $this->compile_query();

		$result = $this->query($sql);
		$this->_reset_select();
		return $result;
	}

//------------------------------------------------------------------------------------------------------
//from clause
	function from($from)
	{
		foreach ((array)$from as $val)
		{
			if (strpos($val, ',') !== FALSE)
			{
				foreach (explode(',', $val) as $v)
				{
					$v = trim($v);
					$this->_track_aliases($v);

					$this->ar_from[] = $this->_protect_identifiers($v, TRUE, NULL, FALSE);
								
				}

			}
			else
			{
				$val = trim($val);

				$this->_track_aliases($val);
	
				$this->ar_from[] = $this->_protect_identifiers($val, TRUE, NULL, FALSE);
			}
		}

		return $this;
	}

//------------------------------------------------------------------------------------------------------
//select clause
	function select($select = '*', $escape = NULL)
	{
		// Set the global value if this was sepecified	
		if (is_bool($escape))
		{
			$this->_protect_identifiers = $escape;
		}
		
		if (is_string($select))
		{
			$select = explode(',', $select);
		}

		foreach ($select as $val)
		{
			$val = trim($val);

			if ($val != '')
			{
				$this->ar_select[] = $val;

			}
		}
		return $this;
	}

	function select_max($select = '', $alias = '')
	{
		return $this->_max_min_avg_sum($select, $alias, 'MAX');
	}
		
	function select_min($select = '', $alias = '')
	{
		return $this->_max_min_avg_sum($select, $alias, 'MIN');
	}

	function select_avg($select = '', $alias = '')
	{
		return $this->_max_min_avg_sum($select, $alias, 'AVG');
	}

	function select_sum($select = '', $alias = '')
	{
		return $this->_max_min_avg_sum($select, $alias, 'SUM');
	}

//--------------------------------------------------------------------------------------------------------------
// calculate max, min, avg

	function _max_min_avg_sum($select = '', $alias = '', $type = 'MAX')
	{
		if ( ! is_string($select) OR $select == '')
		{
			$this->oops("Невалидна заявка! Записите не бяха извлечени.");
		}
	
		$type = strtoupper($type);
	
		if ( ! in_array($type, array('MAX', 'MIN', 'AVG', 'SUM')))
		{
			$this->oops("Невалидна Функция: <b>".$type."</b>. Записите не бяха извлечени.");
		}
	
		if ($alias == '')
		{
			$alias = $this->_create_alias_from_table(trim($select));
		}
	
		$sql = $type.'('.$this->_protect_identifiers(trim($select)).') AS '.$alias;

		$this->ar_select[] = $sql;
		
		return $this;
	}

//--------------------------------------------------------------------------------------------------------------
// like clause
	function like($field, $match = '', $side = 'both')
	{
		return $this->_like($field, $match, 'AND ', $side);
	}

//--------------------------------------------------------------------------------------------------------------
// not like clause
	function not_like($field, $match = '', $side = 'both')
	{
		return $this->_like($field, $match, 'AND ', $side, 'NOT');
	}
		
//--------------------------------------------------------------------------------------------------------------
// or like clause
	function or_like($field, $match = '', $side = 'both')
	{
		return $this->_like($field, $match, 'OR ', $side);
	}

//--------------------------------------------------------------------------------------------------------------
// or not like clause
	function or_not_like($field, $match = '', $side = 'both')
	{
		return $this->_like($field, $match, 'OR ', $side, 'NOT');
	}

//--------------------------------------------------------------------------------------------------------------
// like clause constructor
	function _like($field, $match = '', $type = 'AND ', $side = 'both', $not = '')
	{
		if ( ! is_array($field))
		{
			$field = array($field => $match);
		}
 	
		foreach ($field as $k => $v)
		{
			$k = $this->_protect_identifiers($k);

			$prefix = (count($this->ar_like) == 0) ? '' : $type;

			$v = $this->escape($v);

			if ($side == 'before')
			{
				$like_statement = $prefix." $k $not LIKE '%{$v}'";
			}
			elseif ($side == 'after')
			{
				$like_statement = $prefix." $k $not LIKE '{$v}%'";
			}
			else
			{
				$like_statement = $prefix." $k $not LIKE '%{$v}%'";
			}
			
			// some platforms require an escape sequence definition for LIKE wildcards
			if ($this->_like_escape_str != '')
			{
				$like_statement = $like_statement.sprintf($this->_like_escape_str, $this->_like_escape_char);
			}
			
			$this->ar_like[] = $like_statement;
			
		}
		return $this;
	}

//--------------------------------------------------------------------------------------------------------------
// count all from query
	function count_all_results($table = '')
	{
		if ($table != '')
		{
			$this->_track_aliases($table);
			$this->from($table);
		}
		
		$sql = $this->compile_query($this->_count_string . "SELECT " . $this->_protect_identifiers(' count(*) as cnt '));

		$query = $this->query($sql);
		$this->_reset_select();
	
		if ($this->num_rows($query) == 0)
		{
			return '0';
		}

		$row = $this->fetch_object($query);
		return $row->cnt;
	}
//------------------------------------------------------------------------------------------------------
//query first 
  function query_first($query_string) {

		$query_id = $this->query($query_string);

		$out = $this->fetch_array($query_id);

		$this->free_result($query_id);

	return $out;
  }

//------------------------------------------------------------------------------------------------------
//simple select query
  function query_select_simple($table, $data='*', $where='', $order=NULL, $priority='ASC') {
		
		$q="SELECT ";

		foreach($data as $key=>$val) {
		    $q.= " ".$this->escape($val).", ";
		}

		$q = rtrim($q, ', ') . ' FROM '.$this->escape($table).' ';

		$priority = ($priority == "d" ) ? $priority="DESC" : $priority="ASC";

		$where = ($where == NULL) ? (($order == NULL) ? false : $q.= " ORDER BY " .$this->escape($order)." ".$priority." ;") : $q.= " WHERE ".stripslashes($this->escape($where))." ;";
	
		$link_q = $this->query($q);
		if (!$link_q) {		
		$this->oops('$q');
		}

		return $link_q;

  }

//------------------------------------------------------------------------------------------------------
//delete query
  function query_delete($table, $where='') {
	$q="DELETE FROM `".$this->pre.$table."` ";

	$q .= ' WHERE '.stripslashes($where).';';
	$link_q = $this->query($q);
	if (!$link_q) {
    $this->oops('$q');
	}

	return $this->query($q);
  }

//------------------------------------------------------------------------------------------------------
//insert query
   function query_insert($table, $data) {

	$q="INSERT INTO `".$this->pre.$table."` ";

	$v=''; $n='';

	foreach($data as $key=>$val) {

		$n.="`$key`, ";

		if(strtolower($val)=='null') $v.="NULL, ";

		elseif(strtolower($val)=='now()') $v.="NOW(), ";

		else $v.= "'".$val."', ";
	}

	$q .= "(". rtrim($n, ', ') .") VALUES (". rtrim($v, ', ') .");";

	if($this->query($q)){

		//$this->free_result();

		return mysql_insert_id($this->connection);
	}

	else return false;

    }

//------------------------------------------------------------------------------------------------------
//update query
  function query_update($table, $data, $where='1') 
	{

	$q="UPDATE `".$this->pre.$table."` SET ";

	foreach($data as $key=>$val) {

		if(strtolower($val)=='null') $q.= "`$key` = NULL, ";

		elseif(strtolower($val)=='now()') $q.= "`$key` = NOW(), ";

        elseif(preg_match("/^increment\((\-?\d+)\)$/i",$val,$m)) $q.= "`$key` = `$key` + $m[1], "; 

		else $q.= "`$key`='".$val."', ";
	}

	$q = rtrim($q, ', ') . ' WHERE '.$where.';';

	$link_q = $this->query($q);

	if (!$link_q) {

    $this->oops('$q');

	}

	return $this->query($q);

   }

//--------------------------------------------------------------------------------------------------------------
// group by clause
	function group_by($by)
	{
		if (is_string($by))
		{
			$by = explode(',', $by);
		}
	
		foreach ($by as $val)
		{
			$val = trim($val);
		
			if ($val != '')
			{
				$this->ar_groupby[] = $this->_protect_identifiers($val);
				
			}
		}
		return $this;
	}

//--------------------------------------------------------------------------------------------------------------
// having clause

	function having($key, $value = '', $escape = TRUE)
	{
		return $this->_having($key, $value, 'AND ', $escape);
	}
	
//--------------------------------------------------------------------------------------------------------------
// or having clause
	function or_having($key, $value = '', $escape = TRUE)
	{
		return $this->_having($key, $value, 'OR ', $escape);
	}

//--------------------------------------------------------------------------------------------------------------
// having clause
	function _having($key, $value = '', $type = 'AND ', $escape = TRUE)
	{
		if ( ! is_array($key))
		{
			$key = array($key => $value);
		}
	
		foreach ($key as $k => $v)
		{
			$prefix = (count($this->ar_having) == 0) ? '' : $type;

			if ($escape === TRUE)
			{
				$k = $this->_protect_identifiers($k);
			}

			if ( ! $this->_has_operator($k))
			{
				$k .= ' = ';
			}

			if ($v != '')
			{
				$v = ' '.$this->escape_str($v);
			}
			
			$this->ar_having[] = $prefix.$k.$v;
		}
		
		return $this;
	}

//--------------------------------------------------------------------------------------------------------------
// order result by
	function order_by($orderby, $direction = '')
	{
		if (strtolower($direction) == 'random')
		{
			$orderby = ''; // Random results want or don't need a field name
			$direction = $this->_random_keyword;
		}
		elseif (trim($direction) != '')
		{
			$direction = (in_array(strtoupper(trim($direction)), array('ASC', 'DESC'), TRUE)) ? ' '.$direction : ' ASC';
		}
	
	
		if (strpos($orderby, ',') !== FALSE)
		{
			$temp = array();
			foreach (explode(',', $orderby) as $part)
			{
				$part = trim($part);
				if ( ! in_array($part, $this->ar_aliased_tables))
				{
					$part = $this->_protect_identifiers(trim($part));
				}
				
				$temp[] = $part;
			}
			
			$orderby = implode(', ', $temp);			
		}
		else if ($direction != $this->_random_keyword)
		{
			$orderby = $this->_protect_identifiers($orderby);
		}
	
		$orderby_statement = $orderby.$direction;
		
		$this->ar_orderby[] = $orderby_statement;

		return $this;
	}

//------------------------------------------------------------------------------------------------------
//distinct result

	function distinct($val = TRUE)
	{
		$this->ar_distinct = (is_bool($val)) ? $val : TRUE;
		return $this;
	}

//------------------------------------------------------------------------------------------------------
//free result
   function free_result($query_id=-1) {
	if ($query_id!=-1) {
		$this->query_id=$query_id;
	}
	if($this->query_id!=0 && !@mysql_free_result($this->query_id)) {
		$this->oops("ID на резултата: <b>$this->query_id</b> не можа да бъде освободен.");
	}
  }

//------------------------------------------------------------------------------------------------------
//sanitize query
	function _protect_identifiers($item, $prefix_single = FALSE, $protect_identifiers = NULL, $field_exists = TRUE)
	{
		if ( ! is_bool($protect_identifiers))
		{
			$protect_identifiers = $this->_protect_identifiers;
		}

		if (is_array($item))
		{
			$escaped_array = array();

			foreach($item as $k => $v)
			{
				$escaped_array[$this->_protect_identifiers($k)] = $this->_protect_identifiers($v);
			}

			return $escaped_array;
		}

		$item = preg_replace('/[\t ]+/', ' ', $item);
	
		$alias = '';
		if (strpos($item, ' ') !== FALSE)
		{
			$alias = strstr($item, " ");
			$item = substr($item, 0, - strlen($alias));
		}

		if (strpos($item, '(') !== FALSE)
		{
			return $item.$alias;
		}

		if (strpos($item, '.') !== FALSE)
		{
			$parts	= explode('.', $item);
			
			if (in_array($parts[0], $this->ar_aliased_tables))
			{
				if ($protect_identifiers === TRUE)
				{
					foreach ($parts as $key => $val)
					{
						
							$parts[$key] = $this->escape($val);
						
					}
				
					$item = implode('.', $parts);
				}			
				return $item.$alias;
			}
			
			if ($this->dbprefix != '')
			{

				if (isset($parts[3]))
				{
					$i = 2;
				}

				elseif (isset($parts[2]))
				{
					$i = 1;
				}

				else
				{
					$i = 0;
				}
				
				if ($field_exists == FALSE)
				{
					$i++;
				}

				if ($this->swap_pre != '' && strncmp($parts[$i], $this->swap_pre, strlen($this->swap_pre)) === 0)
				{
					$parts[$i] = preg_replace("/^".$this->swap_pre."(\S+?)/", $this->dbprefix."\\1", $parts[$i]);
				}
								
				if (substr($parts[$i], 0, strlen($this->dbprefix)) != $this->dbprefix)
				{
					$parts[$i] = $this->dbprefix.$parts[$i];
				}
				
				$item = implode('.', $parts);
			}
			
			if ($protect_identifiers === TRUE)
			{
				$item = $this->escape($item);
			}
			
			return $item.$alias;
		}

		if ($this->dbprefix != '')
		{
			if ($this->swap_pre != '' && strncmp($item, $this->swap_pre, strlen($this->swap_pre)) === 0)
			{
				$item = preg_replace("/^".$this->swap_pre."(\S+?)/", $this->dbprefix."\\1", $item);
			}

			if ($prefix_single == TRUE AND substr($item, 0, strlen($this->dbprefix)) != $this->dbprefix)
			{
				$item = $this->dbprefix.$item;
			}		
		}

		
		
		return $item.$alias;
	  }

//------------------------------------------------------------------------------------------------------
//Check is null
	  function _has_operator($str)
		{
			$str = trim($str);
			if ( ! preg_match("/(\s|<|>|!|=|is null|is not null)/i", $str))
			{
				return FALSE;
			}

			return TRUE;
		}

//------------------------------------------------------------------------------------------------------
//convert object to array
	function _object_to_array($object)
	{
		if ( ! is_object($object))
		{
			return $object;
		}
		
		$array = array();
		foreach (get_object_vars($object) as $key => $val)
		{
			// There are some built in keys we need to ignore for this conversion
			if ( ! is_object($val) && ! is_array($val) && $key != '_parent_name' && $key != '_ci_scaffolding' && $key != '_ci_scaff_table')
			{
				$array[$key] = $val;
			}
		}
	
		return $array;
	}

//------------------------------------------------------------------------------------------------------
//_track_aliases
	function _track_aliases($table)
	{
		if (is_array($table))
		{
			foreach ($table as $t)
			{
				$this->_track_aliases($t);
			}
			return;
		}

		if (strpos($table, ',') !== FALSE)
		{
			return $this->_track_aliases(explode(',', $table));
		}
	
		if (strpos($table, " ") !== FALSE)
		{
			$table = preg_replace('/ AS /i', ' ', $table);
			
			$table = trim(strrchr($table, " "));
			
			if ( ! in_array($table, $this->ar_aliased_tables))
			{
				$this->ar_aliased_tables[] = $table;
			}
		}
	}

//-------------------------------------------------------------------------------------------
//compile the query

	function compile_query($select_override = FALSE)
	{

		if ($select_override !== FALSE)
		{
			$sql = $select_override;
		}
		else
		{
			$sql = ( ! $this->ar_distinct) ? 'SELECT ' : 'SELECT DISTINCT ';
		
			if (count($this->ar_select) == 0)
			{
				$sql .= '*';		
			}
			else
			{				

				foreach ($this->ar_select as $key => $val)
				{
					$this->ar_select[$key] = $this->_protect_identifiers($val);
				}
				
				$sql .= implode(', ', $this->ar_select);
			}
		}

		if (count($this->ar_from) > 0)
		{
			$sql .= "\nFROM ";

			$sql .= $this->ar_from[0];
		}

		if (count($this->ar_join) > 0)
		{
			$sql .= "\n";

			$sql .= implode("\n", $this->ar_join);
		}


		if (count($this->ar_where) > 0 OR count($this->ar_like) > 0)
		{
			$sql .= "\n";

			$sql .= "WHERE ";
		}

		$sql .= implode("\n", $this->ar_where);


		if (count($this->ar_like) > 0)
		{
			if (count($this->ar_where) > 0)
			{
				$sql .= "\nAND ";
			}

			$sql .= implode("\n", $this->ar_like);
		}

		if (count($this->ar_groupby) > 0)
		{
			$sql .= "\nGROUP BY ";
			
			$sql .= implode(', ', $this->ar_groupby);
		}

		if (count($this->ar_having) > 0)
		{
			$sql .= "\nHAVING ";
			$sql .= implode("\n", $this->ar_having);
		}

		if (count($this->ar_orderby) > 0)
		{
			$sql .= "\nORDER BY ";
			$sql .= implode(', ', $this->ar_orderby);
			
			if ($this->ar_order !== FALSE)
			{
				$sql .= ($this->ar_order == 'desc') ? ' DESC' : ' ASC';
			}		
		}

		if (is_numeric($this->ar_limit))
		{
			$sql .= "\nLIMIT ";
			$sql .= $this->limit($this->ar_limit, $this->ar_offset);
		}

		return $sql;
	}

	function _reset_run($ar_reset_items)
	{
		foreach ($ar_reset_items as $item => $default_value)
		{
			if ( ! in_array($item, $this->ar_store_array))
			{
				$this->$item = $default_value;
			}
		}
	}

//-------------------------------------------------------------------------------------
//reset function variables
	function _reset_select()
	{
		$ar_reset_items = array(
								'ar_select'			=> array(), 
								'ar_from'			=> array(), 
								'ar_join'			=> array(), 
								'ar_where'			=> array(), 
								'ar_like'			=> array(), 
								'ar_groupby'		=> array(), 
								'ar_having'			=> array(), 
								'ar_orderby'		=> array(), 
								'ar_wherein'		=> array(), 
								'ar_aliased_tables'	=> array(),
								'ar_distinct'		=> FALSE, 
								'ar_limit'			=> FALSE, 
								'ar_offset'			=> FALSE, 
								'ar_order'			=> FALSE,
							);
		
		$this->_reset_run($ar_reset_items);
	}

//-------------------------------------------------------------------------------------
//creat alias from table
	function _create_alias_from_table($item)
	{
		if (strpos($item, '.') !== FALSE)
		{
			return end(explode('.', $item));
		}
		
		return $item;
	}

//--------------------------------------------------------------------------------------
//error table
	function oops($msg='') {
		if($this->link_id>0){
			$this->error=mysql_error($this->link_id);
			$this->errno=mysql_errno($this->link_id);
		}
		else{
			$this->error=mysql_error();
			$this->errno=mysql_errno();
		}
		?>
			<table align="center" border="1" cellspacing="0" style="background:white;color:black;width:80%;">
			<tr><th colspan=2>Грешка в Базата данни</th></tr>
			<tr><td align="right" valign="top">Съобщение:</td><td><?php echo $msg; ?></td></tr>
			<?php if(!empty($this->error)) echo '<tr><td align="right" valign="top" nowrap>MySQL Error:</td><td>'.$this->error.'</td></tr>'; ?>
			<tr><td align="right">Дата:</td><td><?php echo date("l, F j, Y \a\\t g:i:s A"); ?></td></tr>
			<?php if(!empty($_SERVER['REQUEST_URI'])) echo '<tr><td align="right">Скрипт:</td><td><a href="'.$_SERVER['REQUEST_URI'].'">'.$_SERVER['REQUEST_URI'].'</a></td></tr>'; ?>
			<?php if(!empty($_SERVER['HTTP_REFERER'])) echo '<tr><td align="right">Препратка:</td><td><a href="'.$_SERVER['HTTP_REFERER'].'">'.$_SERVER['HTTP_REFERER'].'</a></td></tr>'; ?>
			</table>
		<?php
    }

//variate functions reset
	function num_rows($sql) { return mysql_num_rows($sql); }
	function num_fields() { return 0; }
	function field_data() { return array(); }	
	function _data_seek() { return TRUE; }
	function _fetch_assoc() { return array(); }	
	function _fetch_object() { return array(); }

   
}