<?php

class Session
{
   var $username;     
   var $userid;       
   var $userlevel;   
   var $stamp;         
   var $logged_in;    
   var $userinfo = array();  
   var $url;         
   var $referrer;  

// constructor
   function Session(){
      $this->stamp = time();
   }

  
   function login_check($user_email){
      global $database;  
	
		if (strpos($user_email,'@') === false) {
					$user_cond = "user_name='$user_email'";
				} else {
					  $user_cond = "user_email='$user_email'";
					
				}

				$data335=array(
						'id,pwd,full_name,approved,user_level'
				);
				$database->select($data335);
				$database->from(TBL_USERS);
				
				if (strpos($user_email,'@') === false) {
					$database->where("user_name", $user_email); 
				}
				else{
					$database->where("user_email", $user_email);
				}
				$database->where("banned", 0); 

				$result=$database->get();	

		return $num = $database->num_rows($result);
      
   }

   function login_proc($user_email,$pass){
      global $database;  

	  if (strpos($user_email,'@') === false) {
					$user_cond = "user_name='$user_email'";
				} else {
					  $user_cond = "user_email='$user_email'";
					
				}

				$data33=array(
						'id,pwd,full_name,approved,user_level,ctime'
				);
				$database->select($data33);
				$database->from(TBL_USERS);
				
				if (strpos($user_email,'@') === false) {
					$database->where("user_name", $user_email); 
				}
				else{
					$database->where("user_email", $user_email);
				}
				$database->where("banned", 0); 

				$result=$database->get();

				list($id,$pwd,$full_name,$approved,$user_level,$ctime) = $database->fetch_row_single($result);
					
					if(!$approved) {

					$this->err[] .= "Account not activated. Please check your email for activation code";
					
						$cookie_content = "";
     
							foreach($this->err as $key => $value){
							 
								$cookie_content .= $value . "|";

							}
							$cookie_content = substr($cookie_content, 0, -1);

							setcookie("ProcReg", $cookie_content, time()+600);  

						header("Location: ?q=cpanel"); 
						exit;

					}
					 
					if ($pwd === $database->PwdHash($pass,substr($pwd,0,9))) { 
					if(empty($this->err)){			

					   session_start();
					   session_regenerate_id (true); 

					   // this sets variables in the session 
						$_SESSION['user_id']= $id;  
						$_SESSION['user_name'] = $full_name;
						$_SESSION['user_level'] = $user_level;
						$_SESSION['ctime']= $ctime;  
						$_SESSION['HTTP_USER_AGENT'] = md5($_SERVER['HTTP_USER_AGENT']);
						
						//update the timestamp and key for cookie
						$stamp = time();
						$ckey = $database->GenKey();

						$data0['ctime'] = $this->stamp;
						$data0['ckey'] = $ckey;
						$database->query_update(TBL_USERS, $data0, "id='".$id."'");
						
						//set a cookie 
						
					   if(isset($_POST['remember'])){
								  setcookie("user_id", $_SESSION['user_id'], time()+60*60*24*COOKIE_TIME_OUT, "/");
								  setcookie("user_key", sha1($ckey), time()+60*60*24*COOKIE_TIME_OUT, "/");
								  setcookie("user_name",$_SESSION['user_name'], time()+60*60*24*COOKIE_TIME_OUT, "/");
								   }
						  header("Location: ?q=profile");
						 }
						}
						else
						{
						$this->err[] .= "Invalid Login. Please try again with correct user email and password.";
						$cookie_content = "";
     
							foreach($this->err as $key => $value){
							 
								$cookie_content .= $value . "|";

							}
							$cookie_content = substr($cookie_content, 0, -1);

							setcookie("ProcReg", $cookie_content, time()+600);  

						header("Location: ?q=cpanel"); 
						exit;
						}
   }

   function activ_check($user_email,$activ){
      global $database;  

				$data335=array('id');
				$database->select($data335)->from(TBL_USERS)->where("user_email", $user_email)->where("activation_code", $activ);

				$result=$database->get();	

		return $num = $database->num_rows($result);
      
   }

   function activ_check_get($user,$activ){
      global $database;  

			$data335=array('id');
			$database->select($data335)->from(TBL_USERS)->where("md5_id", $user)->where("activation_code", $activ);
			$result=$database->get();	

			return $num = $database->num_rows($result);
      
   }

   function activateUser($user_email,$activ){

    	global $database;

		$data0['approved'] = 1;
		$database->query_update(TBL_USERS, $data0, "user_email='".$user_email."' AND activation_code='".$activ."' ");

   }

   function return_user_info($userid){

    	global $database;

		$database->select("*")->from('users')->where('id', $userid);
			$select = $database->get();
			$fetch=$database->fetch_array($select);
			return $fetch;
   }

   function activateUserGet($user,$activ){

    	global $database;

		$data0['approved'] = 1;
		$database->query_update(TBL_USERS, $data0, "md5_id='".$user."' AND activation_code='".$activ."' ");

   }
	
   function logout(){
      global $database;  

      if(isset($_COOKIE['cookname']) && isset($_COOKIE['cookid'])){
         setcookie("cookname", "", time()-COOKIE_EXPIRE, COOKIE_PATH);
         setcookie("cookid",   "", time()-COOKIE_EXPIRE, COOKIE_PATH);
      }


      unset($_SESSION['username']);
      unset($_SESSION['userid']);

      $this->logged_in = false;
      

      $database->removeActiveUser($this->username);
      $database->addActiveGuest($_SERVER['REMOTE_ADDR'], $this->time);
      
      $this->username  = GUEST_NAME;
      $this->userlevel = GUEST_LEVEL;
   }

   function register($full_name,$usr_email,$passinfo,$sha1pass,$address,$tel,$fax,$web,$user_ip,$activ_code,$country,$user_name,$host,$path){
      global $database;  

			$data2 = array(
					'full_name' => $full_name,
					'user_email' => $usr_email,
					'pwd' => $sha1pass,
					'address' => $address,
					'tel' => $tel,
					'fax' => $fax,
					'website' => $web,
					'date' => 'now()',
					'users_ip'	=> $user_ip,
					'activation_code' => $activ_code,
					'country' => $country,
					'user_name' => $user_name,
			);
			$q = $database->query_insert(TBL_USERS,$data2);

			$user_id = $database->inserted_id();  
			$md5_id = md5($user_id);
					
			$data['md5_id'] = $md5_id;
			$database->query_update(TBL_USERS, $data, "id='".$user_id."'");	

			if(user_registration == 1)  {
					$a_link = "
					*****ACTIVATION LINK*****\n
					http://$host$path/?q=register/activate&user=$md5_id&activ_code=$activ_code
					"; 
			} else {
					$a_link = 
					"Your account is *PENDING APPROVAL* and will be soon activated by administrator.
					";
			}

			$message = 
					"Hello \n
					Thank you for registering with us. Here are your login details...\n

					User ID: $user_name
					Email: $usr_email \n 
					Passwd: $passinfo \n

					$a_link

					Thank You

					Administrator
					$host_upper
					______________________________________________________
					THIS IS AN AUTOMATED RESPONSE. 
					***DO NOT RESPOND TO THIS EMAIL****
					";
			
			$email_cl= new Email();

			$email_cl->from("From: \"Member Registration\" <auto-reply@$host>\r\n" . "X-Mailer: PHP/" . phpversion(), 'Admin');
			$email_cl->to($usr_email);
			$email_cl->subject('Login Details');
			$email_cl->message($message);

			$email_cl->send();
   }

   function passForgot($new_pwd,$pwd_reset,$user_email,$host,$host_upper){

	   global $database;

			$data['pwd'] = $pwd_reset;
			$database->query_update(TBL_USERS, $data, "user_email='".$user_email."'");

				//send email

				$message = 
				"Here are your new password details ...\n
				User Email: $user_email \n
				New Pass: $new_pwd \n

				Thank You

				Administrator
				$host_upper
				______________________________________________________
				THIS IS AN AUTOMATED RESPONSE. 
				***DO NOT RESPOND TO THIS EMAIL****
				";

				$email_cl= new Email();

				$email_cl->from("From: \"Member Registration\" <auto-reply@$host>\r\n" . "X-Mailer: PHP/" . phpversion(), 'Admin');
				$email_cl->to($user_email);
				$email_cl->subject('Reset Password');
				$email_cl->message($message);

				$email_cl->send();

   }
   
   function editAccount($name,$address,$tel,$fax,$country,$web,$user_prf,$avatar){
      global $database;

	  if(!empty($avatar)){
		$data0['avatar'] = $avatar;
		$data0['full_name'] = $name;
		$data0['address'] = $address;
		$data0['tel'] = $tel;
		$data0['fax'] = $fax;
		$data0['country'] = $country;
		$data0['website'] = $web;
	  }

	  else{
		$data0['full_name'] = $name;
		$data0['address'] = $address;
		$data0['tel'] = $tel;
		$data0['fax'] = $fax;
		$data0['country'] = $country;
		$data0['website'] = $web;
	  }

		$database->query_update(TBL_USERS, $data0, "id='".$user_prf."'");
	  
		return true;      
   }

   function editAccountPass($newsha1,$user_prf){
      global $database;

		$data0['pwd'] = $newsha1;
		$database->query_update(TBL_USERS, $data0, "id='".$user_prf."'");
	  
		return true; 
   }

   function checkdublicate($un,$em){

	   global $database;
	   
	   $data335=array('count(*) as total');
	   $database->select($data335)->from(TBL_USERS)->where("user_name", $un)->or_where("user_email", $em);

	   $result=$database->get();

	   return $num = $database->fetch_row_single($result);

   }

   function findpass($user){

	   global $database;
   
		$data335=array('pwd');
		$database->select($data335)->from(TBL_USERS)->where("id", $user);

		$result=$database->get();

		return $num = $database->fetch_row_single($result);

   }
   
   function isAdmin(){
      return ($this->userlevel == ADMIN_LEVEL ||
              $this->username  == ADMIN_NAME);
   }
   
   function isEditor(){
      return ($this->userlevel == EDITOR_LEVEL ||
              $this->username  == EDITOR_NAME);
   }
   
   function isMainEditor(){
      return ($this->userlevel == M_EDITOR_LEVEL ||
              $this->username  == M_EDITOR_NAME);
   }

   function isRegional(){
      return ($this->userlevel == REGIONAL_LEVEL ||
              $this->username  == REGIONAL_NAME);
   }

   function isPersonal(){
      return ($this->userlevel == PERSONAL_LEVEL ||
              $this->username  == PERSONAL_NAME);
   }
	
   function isUser(){		
   return ($this->userlevel == USER_LEVEL ||
              $this->username  == USER_NAME);
   }

   function generateRandID(){
      return md5($this->generateRandStr(16));
   }
   
   function generateRandStr($length){
      $randstr = "";
      for($i=0; $i<$length; $i++){
         $randnum = mt_rand(0,61);
         if($randnum < 10){
            $randstr .= chr($randnum+48);
         }else if($randnum < 36){
            $randstr .= chr($randnum+55);
         }else{
            $randstr .= chr($randnum+61);
         }
      }
      return $randstr;
   }

   function isGroupMember($group){
	   global $database;

		$data=array(
			'count(*) as cnt'
		);
		$database->select($data);
		$database->from('group_members');
		$database->where('groupid', $group);
		$database->where('userid', $_SESSION['user_id']);

		$sel=$database->get();
		$fetch=$database->fetch_object($sel);

		if($fetch->cnt>0){
			return 1;
		}
		else{
			return 0;
		}

   }
};


$session = new Session;

$form = new Form;
