<?php
	function postget($str,$def=null)
	{
		if($_POST[$str]) return $_POST[$str];
		else if($_GET[$str]) return $_GET[$str];
		else return $def;
	}
		function smart_unlink($path)
	{
		if(@is_dir($path)) return true;
		if(!@file_exists($path)) return true;
		return @unlink($path);
	}
	function issetv($var)
	{
		if($var === '0') return true;
		return !empty($var); 
	}
	function format_bytesize($file_size)
	{		
		$get_file_size = number_format($file_size/1024,0,'.', ' ');
		return $get_file_size.'k';
	}
	function html_escape($str)
	{
		return $str = htmlspecialchars($str,ENT_QUOTES);
	}
	function plain_text($str)
	{
		return strip_tags($str);
	}
	function str2no($str, $def=0)
	{
		if(is_numeric($str)) return floatval($str);
		return $def;
	}
	function no2str($number,$decimals=0)
	{
		return number_format($number, $decimals, '.', ' ');
	}
	function format_money($number)
	{
		return no2str($number);
	}
	function format_percent($number)
	{
		return ($number*100).'%';
	}
	function round_money($number)
	{
		return round($number,0);
	}
	function zerofill ($num,$zerofill) 
	{
	   while (strlen($num)<$zerofill) $num = "0".$num;
	   return $num;
	}
	function generate_password($len=8)
	{
		$acceptedChars = 'abcdefghjkmnpqrstuvwxyz23456789';
		$max = strlen($acceptedChars)-1;
		$password = null;
		for($i=0; $i < $len; $i++)
			$password .= $acceptedChars{mt_rand(0, $max)};
		return $password;
	}



	function mk_update($action, $tbl, $flds, $cur_id=0, $idname='id')
	{
		$insert_tpl = "insert into $tbl(".implode(',',$flds).") values(". trim(str_repeat('%s,',count($flds)),', ').")";
		$update_tpl = "update $tbl set ";
		foreach($flds as $f) $update_tpl .= " $f = %s,";
		$update_tpl = trim($update_tpl,',');
		$update_tpl .= " where $idname = '$cur_id'";
		if($action == 'insert') return $insert_tpl;
		else return $update_tpl;
	}

	//finalize_action($opres, $_MOD_ACTION, 'view', $_GET['id'], $_id);
	function finalize_action(&$db_opres, &$action, $new_action, &$id_var, $id)
	{
		if($db_opres) 
		{
			info("Готово.");
			$action = $new_action;
			if(!$id) $action = 'list';
			else $id_var = $id;
		}
		else
		{
			switch($action)
			{
				case 'update':	
					warn("Записът не стана.");		
					$action = 'edit';	
				break;

				case 'insert':	
					warn("Добавянето не стана.");	
					$action = 'new';	
				break;

				case 'delete':
					warn("Изтриването не стана.");	
					$action = 'list';
				break;
			}
		}
		return (bool)$db_opres;
	}

	function prevent_update(&$form, &$action, &$id)
	{
		if(!$form) {
			if($id) $action = 'view';
			else $action = 'list';
			return true;
		}
		return false;
	}

	function getfileext($fpath)
	{
		return array_pop(explode('.', $fpath));
	}
	function getfilename($fpath)
	{
		return array_pop(split('[\\\\/]', $fpath));
	}
	function changefileext($file, $ext)
	{
		$fn = preg_replace('/(.+)\..*$/', '$1', $file);
		return "$fn.$ext";
	}
	function defaultize(&$var, $def)
	{
		if(!$var || strlen($var)==0) $var = $def;
	}

?>