<?php

class Comment
{
	private $data = array();
	
	public function __construct($row)
	{

		$this->data = $row;
	}
	
	public function markup($i)
	{

		global $database,$_JS;

		$d = &$this->data;
		
		$link_open = '';
		$link_close = '';
		
		if($d['url']){
			

			$link_open = '<a href="'.$d['url'].'">';
			$link_close =  '</a>';
		}
		
		$d['dt'] = strtotime($d['dt']);
		
		
		$url = 'http://'.dirname($_SERVER['SERVER_NAME'].$_SERVER["REQUEST_URI"]).'/img/default_avatar.gif';

		if($database->checkAdmin()){
			
			#$but1 .= form_open('?q=news&newsid='.$d['newsid']).form_hidden("newsid",$d['newsid']);

			$but1 .= div_open("buttons2");

			$data = array(
				'class' => 'thickbox',
				'type' => 'button',
				'name' => 'activate_c',
				'title' => 'Edit Comment',
				'alt'   =>  '#TB_inline?height=150&width=400&inlineId=myOnPageContent',
				'style'  => 'outline:none;background:url(tpl/img/editing.png);border:none;float:left;height:28px;width:28px; margin-right:5px;cursor:pointer;'
				);

			$but1 .= form_input($data);

			$but1 .= div_close();

			#$but1 .= form_close();

			$but2 .= div_open("buttons2");

			$image_properties = array(
			  'src' => 'tpl/img/delete.png',
			  'alt' => '',
			  'class' => 'bar_icon',
			  'style'  => 'height:28px;width:28px;float:left;'
			);
			$img=img($image_properties);

			$data2 = array(
				'class' => 'noback',
				'type' => 'submit',
				'name' => 'del_comment',
				'title' => 'Delete',
				'content' => $img,
				'style'  => 'outline:none;background:none;border:none;float:left;'
				);


			$but2 .= form_open('?q=news&newsid='.$d['newsid']).form_hidden("nid",$d['id']).form_button($data2);

			$but2 .= div_close().form_close();

			$att=array("id" => "myOnPageContent", "style" => "visibility:hidden;");

			$image_properties = array(
			  'src' => 'tpl/img/editing.png',
			  'alt' => '',
			  'style'  => 'height:28px;width:28px;float:left;'
			);
			$img=img($image_properties);

			$data22 = array(
				'class' => 'noback',
				'type' => 'submit',
				'name' => 'ed_comment',
				'title' => 'Edit',
				'content' => $img,
				'style'  => 'outline:none;background:none;border:none;float:left;'
				);

				$input = array(
					  'name'    => 'comment_cont',
					  'cols'   => '40',
					  'rows'   => '5',
					  'value'	=>  $d['body']
					);
			
			$inp=form_textarea($input);

			$but2 .=div_open($att).form_open('?q=news&newsid='.$d['newsid']).
				form_hidden("nid",$d['id']).$inp.div_open("cleaner").div_close().br().form_button($data22).
				form_close().div_close();

			$_JS ='<script type="text/javascript" src="js/thickbox.js"></script>
			<link rel="stylesheet" href="js/thickbox.css" type="text/css" media="screen" />';
			
		}
			
			$attribute=array("title" => 'Added on '.date('H:i \o\n d M Y',$d['dt']).'','class' => 'date');
		return div_open("comment").div_open("avatar").$link_open.'
					<img src="http://www.gravatar.com/avatar/'.md5($d['email']).'?size=50&amp;default='.urlencode($url).'" /> 
					'.$link_close.div_close().
					div_open("comment_num").$i.div_close()
					.div_open("name").$link_open.$d['name'].$link_close.div_close().div_open($attribute).date('d M Y',$d['dt']).div_close().'
				<p>'.$d['body'].'</p>'.$but1.$but2.div_open('cleaner').div_close().div_close();
	}
	
	public static function validate(&$arr)
	{
		global $database;
		$errors = array();
		$data	= array();

		if(!($data['newsid'] = filter_input(INPUT_POST,'newsid',FILTER_CALLBACK,array('options'=>'Comment::validate_text'))))
		{
			
			$newsid = '';
		}
		
		if(!($data['email'] = filter_input(INPUT_POST,'email',FILTER_VALIDATE_EMAIL)))
		{
			$errors['email'] = br().'Please insert a valid E-mail';
		}
		
		if(!($data['url'] = filter_input(INPUT_POST,'url',FILTER_VALIDATE_URL)))
		{
			
			$url = '';
		}		
		
		if(!($data['body'] = filter_input(INPUT_POST,'body',FILTER_CALLBACK,array('options'=>'Comment::validate_text'))))
		{
			$errors['body'] = br().'Please enter Message';
		}
		
		if(!($data['name'] = filter_input(INPUT_POST,'name',FILTER_CALLBACK,array('options'=>'Comment::validate_text'))))
		{
			$errors['name'] = br().'Please enter Name';
		}
		
		if(!empty($errors)){
			
			$arr = $errors;
			return false;
		}
		
		
		foreach($data as $k=>$v){
			$arr[$k] = $database->escape($v);
		}
		
		$arr['email'] = strtolower(trim($arr['email']));
		
		return true;
		
	}

	private static function validate_text($str)
	{
		
		if(mb_strlen($str,'utf8')<1)
			return false;
		
	
		$str = nl2br(htmlspecialchars($str));

		$str = str_replace(array(chr(10),chr(13)),'',$str);
		
		return $str;
	}

}

?>