<?php
include_once('../inc/boot.inc.php');

if (isset($_POST['action'])) {
	$action 		= $database->escape($_POST['action']);
}
if (isset($_POST['pollAnswerID'])) {
	$pollAnswerID	= $database->escape($_POST['pollAnswerID']); 
}

function getPoll($pollID){
	global $database;
	
			$data2=array('*');
			$database->select($data2);
			$database->from('polls');
			$database->join('pollanswers','polls.pollID = pollanswers.pollID','LEFT JOIN');
			$database->where('polls.pollID',$pollID);
			$database->order_by('pollAnswerListing','asc');
			
			$select=$database->get();

	$pollStartHtml = '';
	$pollanswersHtml = '';
	
	
	while($row = $database->fetch_array($select))
	{
		$pollQuestion 		= $row['pollQuestion'];	
		$pollAnswerID 		= $row['pollAnswerID'];	
		$pollAnswerValue	= $row['pollAnswerValue'];
		
		if ($pollStartHtml == '') {
			$pollStartHtml 	= '<div id="pollWrap"><form name="pollForm" method="post" action="libs/poll_helper.php?action=vote"><h5>' . $pollQuestion .'</h5><ul>';
			$pollEndHtml 	= '</ul>';
			if($row['pollStatus']>0){
			 $pollEndHtml 	.= '<input type="submit" name="pollSubmit" id="pollSubmit" value="Vote" />';
			}
			else{
				$pollEndHtml 	.= '<span class="poll_closed">Poll is closed.</span>';
			}
			$pollEndHtml 	.= ' <span id="pollMessage"></span><img src="tpl/img/ajaxLoader.gif" alt="Ajax Loader" id="pollAjaxLoader" /></form></div>';	
		}
		$pollanswersHtml	= $pollanswersHtml . '<li><input name="pollAnswerID" id="pollRadioButton' . $pollAnswerID . '" type="radio" value="' . $pollAnswerID . '" /> ' . $pollAnswerValue .'<span id="pollAnswer' . $pollAnswerID . '"></span></li>';
		$pollanswersHtml	= $pollanswersHtml . '<li class="pollChart pollChart' . $pollAnswerID . '"></li>';
	}
	echo $pollStartHtml . $pollanswersHtml . $pollEndHtml;
}

function getPollID($pollAnswerID){

	global $database;

	$database->select('pollID');
	$database->from('pollanswers');
	$database->where('pollAnswerID',$pollAnswerID);
	$database->limit(1);
			
	$select=$database->get();

	$row = $database->fetch_array($select);
	
	return $row['pollID'];	
}

function getPollResults($pollID){

	global $database;

	$colorArray = array(1 => "#ffcc00", "#00ff00", "#cc0000", "#0066cc", "#ff0099", "#ffcc00", "#00ff00", "#cc0000", "#0066cc", "#ff0099");
	$colorCounter = 1;

	$database->select('pollAnswerID, pollAnswerPoints');
	$database->from('pollanswers');
	$database->where('pollID',$pollID);
			
	$select=$database->get();

	while($row = $database->fetch_array($select))
	{
		if ($pollResults == "") {
			$pollResults = $row['pollAnswerID'] . "|" . $row['pollAnswerPoints'] . "|" . $colorArray[$colorCounter];
		} else {
			$pollResults = $pollResults . "-" . $row['pollAnswerID'] . "|" . $row['pollAnswerPoints'] . "|" . $colorArray[$colorCounter];
		}
		$colorCounter = $colorCounter + 1;
	}

	$database->select('SUM(pollAnswerPoints)');
	$database->from('pollanswers');
	$database->where('pollID',$pollID);
			
	$select=$database->get();

	$row = $database->fetch_array($select);
	$pollResults = $pollResults . "-" . $row['SUM(pollAnswerPoints)'];
	echo $pollResults;	
}

if ($action == "vote"){
	
	if (isset($_COOKIE["poll" . getPollID($pollAnswerID)])) {
		#echo "voted";

		$pollid=getPollID($pollAnswerID);
		getPollResults($pollid);

	} else {

		$query  = "UPDATE pollanswers SET pollAnswerPoints = pollAnswerPoints + 1 WHERE pollAnswerID = ".$pollAnswerID."";
		$database->query($query);

		$site_url = explode("//",site_url);
		setcookie("poll" . getPollID($pollAnswerID), 1, time()+259200, "/", $site_url[1]);

		$pollid=getPollID($pollAnswerID);
		getPollResults($pollid);
	}
}