<?php
	require_once("../../inc/boot.inc.php");
	
	function listCalendarByRange($sd, $ed){  

		global $session,$database;
		
		$ret = array(); 
		$ret['events'] = array(); 
		$ret["issort"] =true; 
		$ret["start"] = php2JsTime($sd); 
		$ret["end"] = php2JsTime($ed);  
		$ret['error'] = null; 
		try{    
			
			$fet_id=(int)$_COOKIE['groupid'];

			if($fet_id>0){
				$sql = "select * from events where Color='".$fet_id."' and `starttime` between '".php2MySqlTime($sd)."' and '". php2MySqlTime($ed)."'";    
			}
			else{
				$sql = "select * from events where `starttime` between '".php2MySqlTime($sd)."' and '". php2MySqlTime($ed)."'";    
			}


			$handle = $database->query($sql);    //echo $sql;   
			while ($row = $database->fetch_object($handle)) {     

			$ret['events'][] = array(        
					$row->Id,
					$row->Subject,
					php2JsTime(mySql2PhpTime($row->StartTime)),
					php2JsTime(mySql2PhpTime($row->EndTime)),
					$row->IsAllDayEvent,
					0, //more than one day event
					//$row->InstanceType,
					0,//Recurring event,
					$row->Color,
					1,//editable
					$row->Location, 
					$row->Description//$attends 
				);
			}	
		}catch(Exception $e){     
			$ret['error'] = $e->getMessage();  
		}  
		
		return $ret;
		
	}
	
	function listCalendar($day, $type){  
		
			$phpTime = js2PhpTime($day);   
			switch($type){    
				
				case "month":      
					$st = mktime(0, 0, 0, date("m", $phpTime), 1, date("Y", $phpTime)); 
					$et = mktime(0, 0, -1, date("m", $phpTime)+1, 1, date("Y", $phpTime));   
					break;   
				case "week":           
					$monday  =  date("d", $phpTime) - date('N', $phpTime) + 1;      //echo date('N', $phpTime);      
					$st = mktime(0,0,0,date("m", $phpTime), $monday, date("Y", $phpTime));      
					$et = mktime(0,0,-1,date("m", $phpTime), $monday+7, date("Y", $phpTime));
					break; 
				case "day":
					$st = mktime(0, 0, 0, date("m", $phpTime), date("d", $phpTime), date("Y", $phpTime)); 
					$et = mktime(0, 0, -1, date("m", $phpTime), date("d", $phpTime)+1, date("Y", $phpTime));      
					break;  
			}    
		return listCalendarByRange($st, $et);
		
	}

		
		header('Content-type:text/javascript;charset=UTF-8');
		
		$method = $_GET["method"];
		
		switch ($method) { 
			
			case "list": 
				$ret = listCalendar($_POST["showdate"], $_POST["viewtype"]); 
				break;   
		}		
		echo json_encode($ret);


		//=========================================================================================================

		function js2PhpTime($jsdate){
		  if(preg_match('@(\d+)/(\d+)/(\d+)\s+(\d+):(\d+)@', $jsdate, $matches)==1){
			$ret = mktime($matches[4], $matches[5], 0, $matches[1], $matches[2], $matches[3]);
		  }else if(preg_match('@(\d+)/(\d+)/(\d+)@', $jsdate, $matches)==1){
			$ret = mktime(0, 0, 0, $matches[1], $matches[2], $matches[3]);
		  }
		  return $ret;
		}

		function php2JsTime($phpDate){
			return date("m/d/Y H:i", $phpDate);
		}

		function php2MySqlTime($phpDate){
			return date("Y-m-d H:i:s", $phpDate);
		}

		function mySql2PhpTime($sqlDate){
			$arr = date_parse($sqlDate);
			return mktime($arr["hour"],$arr["minute"],$arr["second"],$arr["month"],$arr["day"],$arr["year"]);

		}