<?php
global $database;

$data = array('menuid', 'parent_id', 'menu_name', 'url');
$database->select($data);
$database->from('menu');
$database->where('language <', 2);
$database->or_where('language', Null);
$database->order_by('orderid,menuid,parent_id,menu_name');

$result=$database->get();

$menuData = array(
    'items' => array(),
    'parents' => array()
);

while ($menuItem = $database->fetch_array($result))
{
    $menuData['items'][$menuItem['menuid']] = $menuItem;
    $menuData['parents'][$menuItem['parent_id']][] = $menuItem['menuid'];
}

$ctr='0';

function buildMenu($parent_id, $menuData,$ctr)
{
	global $database;

	$q=$database->escape($_GET['q']);

    $html = '';

    if (isset($menuData['parents'][$parent_id]))
    {


if($ctr<1){
        $html = "
<ul class='sf-menu'>
";

}
else{
$html = "
<ul class='sub-menu'>
";
}

        foreach ($menuData['parents'][$parent_id] as $itemId)
        {
			$exp=explode("=",$menuData['items'][$itemId]['url']);

			if($q == $exp[1]){
				$html .= '<li class="current"><a href='."'".''. $menuData['items'][$itemId]['url'] ."'>" . $menuData['items'][$itemId]['menu_name']."</a>";
			}
			
			else{
				$html .= '<li><a href='."'".''. $menuData['items'][$itemId]['url'] ."'>" . $menuData['items'][$itemId]['menu_name']."</a>";
			}

            // find childitems recursively
            $html .= buildMenu($itemId, $menuData, $ctr++);

            $html .= '</li>
';
        }
        $html .= '</ul>
';
    }

    return $html;
}

// output the menu



?>
